<?php date_default_timezone_set('Europe/Berlin');
include './aut.php';
ob_clean();
echo "<!DOCTYPE html>";
?>
<html>
<head>
<title>Preise/Saisonzeiten/Mindestmietdauern kopieren</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="basic.css" media="screen">
<link rel="stylesheet" type="text/css" href="tabs.css" media="screen">
<link rel="stylesheet" type="text/css" href="print.css" media="print">
<script type="text/javascript" src="zebratab.js"></script>
<script type="text/javascript">
<!--
function neuFenster(url,obj) {
  var radiourl,objurl;
  for (i=0;i<2;i++){
    if (document.radio.elements[i].checked) {
      objurl=url+'?objekt='+obj+'&kopArt='+document.radio.elements[i].value;
      radiourl=url+'?kopArt='+document.radio.elements[i].value;
    }
  }
  if (obj.length!=0) {self.location.href=objurl;}
  else {self.location.href=radiourl;}
}
function checkAll(form,aktion) {
  for (i = 0, n = form.elements.length; i < n; i++) {
    if (form.elements[i].type == "checkbox") {
      if (aktion == "true") form.elements[i].checked = true;
      else form.elements[i].checked = false;
    }
  }
}
function pruefen(form) {
  var ok=false;
  for (i = 0, n = form.elements.length; i < n; i++) {
    if (form.elements[i].type == "checkbox") {
      if (form.elements[i].checked) {
        ok=true;
      }
    }
  }
  if (!ok) {alert("Fehler: Sie haben keine Objekte ausgewählt.");return(false);}
  return(true);
}
//-->
</script>
</head>
<body>
<div id="aussen">
<a href="logout.php" style="float:right"><img class="noprint"  style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
<h1>Preise/Saisonzeiten/Mindestmietdauern kopieren: Auswahl</h1>
<div id="header">
  <ul id="primary">
  <li><a href="admin.php">Home</a></li>
  <li><a href="objVerw.php" class="current">Objektverwaltung</a>
    <ul id="secondary">
      <li><a href="objVerwSec.php">Objekteinrichtung/Pers. Daten</a></li>
      <li><a href="multiObj.php">Objekt-Gruppierung</a></li>
      <li><a href="Preiseingabe.php">Preise, Zusatzangebote, Buchoptionen</a></li>
      <li><span>Preise/Saisonzeiten/Mietdauern kopieren</span></li>
      <li><a href="objZugriffSeite.php">Zugriffsrechte/Anreisetag</a></li>
	</ul>
  </li>
  <li><a href="changePDSeite.php">Einstellungen</a></li>
  <li><a href="designSeite.php">Design</a></li>
  <li><a href="textVerw.php">Textvorlagen</a></li>
  <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
  <li><a href="finanzVerw.php?id=offene&amp;nurlesen=true">Zahlungen</a></li>
  <li><a href="mahnVerw.php">Mahnungen</a></li>
  <li><a href="kalVerw.php">Buchungskalender</a></li>
  </ul>
</div>
<div id="main">
<?php
$tabelle=$benutzer."0Benutzer";
$objAnz=0; $objAnzsubpreis=0;
$objekt = array(); //alle Objekte
$objektsubpreis = array(); //für Subverwalter freigegebene Objekte
$resultObjSpalte=mysqli_query($conn, "select Objekt from $tabelle");
$keineObjekte=false;
$vermTabelle=$benutzer."0Vermieter";
$vermergebnis=mysqli_query($conn, "select Optionencode from $vermTabelle where lan='00-00'");
$vermzeile=mysqli_fetch_row($vermergebnis);
$vermcode=$vermzeile[0][1]; //Preise kopieren für Subverwalter erlaubt: '1', nicht erlaubt: '0'
include './zugriffsberechtigung.php';
$vollzugriffpreiskop=false; $vollzugriffsaisonkop=false;
if (zugriffsberechtigt($benutzer,$benutzerID,3)) {
  $vollzugriffpreiskop=true;
}
if (zugriffsberechtigt($benutzer,$benutzerID,4)) {
  $vollzugriffsaisonkop=true;
}
while($werte=mysqli_fetch_row($resultObjSpalte)){
  if (strlen($werte[0]) > 0) {
    if (($vollzugriffpreiskop)||($vollzugriffsaisonkop)) {
      $objekt[$objAnz] = $werte[0];
      $objAnz++;
    }
    if (($benutzerID!=0)&&($vermcode=='1')) { //Preise dürfen vom Subverwalter geändert werden
      $preisTabelle=$benutzer."0".$werte[0]."Preise";
      $ergebnis=mysqli_query($conn, "select SubverwalterCode from $preisTabelle where lan='00-00'");
      $zeile=mysqli_fetch_row($ergebnis);
      $code=$zeile[0];
      if ($code[$benutzerID-1]==1) {
        $objektsubpreis[$objAnzsubpreis] = $werte[0];
        $objAnzsubpreis++;
      }
    }
  }
}
if ($objAnz+$objAnzsubpreis==0) {$keineObjekte=true;}
if ($keineObjekte) {
  echo "
  <hr style=\"color:#ffffff; width:95%;margin-top:25px;\">
  <h5 style='text-align:center;margin-top:50px;'>Es gibt keine Objekte, zu denen Sie eine Zugangsberechtigung haben.</h5><br>";
  exit();
}
$preiskop=false;
if (($vollzugriffpreiskop)||($objAnzsubpreis > 0)) {$preiskop=true;}

if (($preiskop)&&($vollzugriffsaisonkop)) {
  $hinweisText="Sie können die Preise und die Saisonzeiten/Mindestmietdauern, die Sie für ein Objekt bereits festgelegt haben, auf Objekte"
         . " Ihrer Wahl übertragen.<br>"
         . "Beim Kopieren der Preise werden mit Ausnahme der Objektanschrift alle Checkboxstatus, Werte und Texte, wie sie im Preisformular"
         . " angezeigt werden, auf die ausgewählten Objekte übertragen. Dies wird für die Preisformulare aller Sprachen ausgeführt.<br>"
         . "Bitte beachten Sie, dass ausschließlich die individuellen Mindestmietdauern, die Sie im TAB 'Buchungskalender > Mindestmietdauerwahl' "
         . "festgelegt haben, kopiert werden.<br><br>"  
         . "<span style='color:#ff8040;'>Das Kopieren der Saisonzeiten/Mindestmietdauern auf Objekte, deren Kalender ein anderes Startdatum"
         . " haben als der Kalender des Quellobjektes, ist nicht möglich. Diese Objekte werden zur Auswahl nicht angeboten. Gegebenenfalls"
         . " müssen Sie im TAB 'Buchungskalender > Kalender fortführen' für die in Frage kommenden Objekte jeweils das Kalenderstartdatum anpassen.</span>";
}
if ((!$preiskop)&&($vollzugriffsaisonkop)) {
  $hinweisText="Sie können die Saisonzeiten/Mindestmietdauern, die Sie für ein Objekt bereits festgelegt haben, auf Objekte Ihrer Wahl übertragen.<br></h5><h5 style='color:#ff8040;'>Das Kopieren der Saisonzeiten/Mindestmietdauern auf Objekte, deren Kalender ein anderes Startdatum haben als der Kalender des Quellobjektes, ist nicht möglich. Diese Objekte werden zur Auswahl nicht angeboten. Gegebenenfalls müssen Sie im TAB 'Buchungskalender > Kalender fortführen' für die in Frage kommenden Objekte jeweils das Kalenderstartdatum anpassen.";
}
if (($preiskop)&&(!$vollzugriffsaisonkop)) {
  $hinweisText="Sie können die Preise, die Sie für ein Objekt bereits festgelegt haben, auf Objekte Ihrer Wahl übertragen.<br>Beim Kopieren werden mit Ausnahme der Objektanschrift alle Checkboxstatus, Werte und Texte, wie sie im Preisformular angezeigt werden, auf die ausgewählten Objekte übertragen. Dies wird für die Preisformulare aller Sprachen ausgeführt.";
}
?>
<a href="SaisonKopSeite.php" style="float:left"><img class="noprint" style='border:0;' src="Aktual.png" title="Seite aktualisieren" alt=""></a>
<hr style="color:#ffffff; width:95%;margin-top:25px;">
<?php
echo "
<h5>$hinweisText</h5>";
if (isset($_GET['objekt'])){
  $objektQuelle=$_GET['objekt'];
}
else {$objektQuelle='';}
$boolPreis='checked';
$boolSaison='';
$artSt="Preise";
$kopArt="preis";
if (($preiskop)&&($vollzugriffsaisonkop)) {
  $visib="visible";
  $txt1="Wählen Sie die Kopierart:&nbsp;&nbsp;&nbsp;";
  $txt2="Kopieren der Preise&nbsp;&nbsp;";
  $txt3="Kopieren der Saisonzeiten/Mindestmietdauern&nbsp;&nbsp;";
  if (isset($_GET['kopArt'])){
    $kopArt=$_GET['kopArt'];
    if ($kopArt=="saison") {
      $boolPreis='';
      $boolSaison='checked';
      $artSt="Saisonzeiten/Mindestmietdauern";
    }
  }
}
if ((!$preiskop)&&($vollzugriffsaisonkop)) {
  $kopArt="saison";
  $visib="hidden";
  $txt1="";
  $txt2="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Kopieren der Saisonzeiten/Mindestmietdauern";
  $txt3="";
}
if (($preiskop)&&(!$vollzugriffsaisonkop)) {
  $kopArt="preis";
  $visib="hidden";
  $txt1="";
  $txt2="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Kopieren der Preise";
  $txt3="";
}
echo "
<form name='radio' action='#'>
  <table class='tableR' style='margin-left:auto;margin-right:auto;border-collapse:collapse;margin-top:20px;'>
  <tr>
    <td class='tdRKop' style='font-size:11px;font-family:arial,helvetica;font-weight:bold;color:#000000;'>
      <span style='position:relative'>".$txt1."
    </span></td>
    <td class='tdRKop' style='border-right:0px;font-size:11px;font-family:arial,helvetica;font-weight:bold;color:#000000;'>
      <span style='position:relative'>
      ".$txt2."&nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' style='position:absolute;top:-4px;right:0px;visibility:".$visib.";' name='RWahl' value='preis' onclick=\"neuFenster('".$_SERVER['PHP_SELF']."','".$objektQuelle."','preis')\" $boolPreis>&nbsp;&nbsp;&nbsp;
    </span></td>
    <td class='tdRKop' style='border-left:0px;font-size:11px;font-family:arial,helvetica;font-weight:bold;color:#000000;'>
      <span style='position:relative'>
      ".$txt3."&nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' style='position:absolute;top:-4px;right:0px;visibility:".$visib.";' name='RWahl' value='saison' onclick=\"neuFenster('".$_SERVER['PHP_SELF']."','".$objektQuelle."','saison')\" $boolSaison>
    </span></td>
  </tr>
</table>
</form>";
if (isset($_GET['objekt'])){
  $objektQuelle=$_GET['objekt'];
}
  echo "
  <table class='tableR' style='margin-left:auto;margin-right:auto;border-collapse:collapse;margin-top:10px;margin-bottom:10px;'>
   <tr>
   <td class='tdRKop' style='font-size:11px;font-family:arial,helvetica;font-weight:bold;color:#000000;'>
     Wählen Sie das Objekt aus, von dem Sie die ".$artSt." auf andere Objekte übertragen möchten:&nbsp;&nbsp;
    <select class='tdInp' style=\"width:160px;\" name=\"monat\" size=\"1\" onChange=\"neuFenster('".$_SERVER['PHP_SELF']."',this.options[this.selectedIndex].value); return false\">";

if (!isset($_GET['objekt'])){
  echo "
  <option selected value=\"Wähle Objekt\">Wähle Objekt</option>";
}

if ($kopArt=="saison") {
  $obAnz=$objAnz; $obFeld=$objekt;
}
if ($kopArt=="preis") {
  if ($vollzugriffpreiskop) {
    $obAnz=$objAnz; $obFeld=$objekt;
  }
  else {
    $obAnz=$objAnzsubpreis; $obFeld=$objektsubpreis;
  }
}
for ($k=0; $k < $obAnz; $k++) {
  if ($objektQuelle==$obFeld[$k]) {
    echo "
    <option selected value=\"".$obFeld[$k]."\">".$obFeld[$k]."</option>";
  }
  else {
    echo "
    <option value=\"".$obFeld[$k]."\">".$obFeld[$k]."</option>";
  }
}

echo "
</select>
</td>
</tr>
</table>";

if (isset($_GET['objekt'])){
  //$pfad="./SaisonKop.php"; //wird nicht verwendet
  $tabhoehe=0;
  for ($j=0;$j<$obAnz;$j+=5){
     $tabhoehe+=24;
     if ($tabhoehe>300){break;}
  }
  $tabhoehe+=1;
  $tabhoehe.='px';
  $tdhoehe="23px";

  echo "
  <form id='tabObj' name=\"formular\" action=\"#\" target=\"_self\" method=\"POST\">
  <div style='text-align:center'>
  <span style='font-size:11px;font-family:arial,helvetica;font-weight:bold;color:#000000;'>Wählen Sie die Objekte aus, in die Sie die ".$artSt." übertragen möchten:&nbsp;&nbsp;&nbsp;<a href=\"#\" onclick=\"checkAll(document.getElementById('tabObj'),'true'); return false;\">alle</a>&nbsp;&nbsp;&nbsp;<a href=\"#\" onclick=\"checkAll(document.getElementById('tabObj'),'false'); return false;\">keine</a>
  </span>
  </div>
  <div id=\"contents\">
    <div class='scroll' style='margin:0px;padding:0px;overflow-x:hidden;overflow-y:auto;height:$tabhoehe;border:0px;'>
    <table id='tableR' class='scrollTable' style='border-collapse:collapse;margin-left:6px;'>
    <tbody class='tabContent'>
    <tr>";//end echo
  $kalTabelle=$benutzer."0".$objektQuelle."Kalender";
  $ergebnis=mysqli_query($conn, "select Anreisedatum from $kalTabelle WHERE (SUBSTRING(Anreisedatum,9,2)='01') LIMIT 1");
  $zeile=mysqli_fetch_row($ergebnis);
  $startDatum=$zeile[0];
  $tabK=-1;
  $objMitAnderemStartdatum="";$fehlObjAnz=0;
  for ($k=0; $k < $obAnz; $k++){
    $kalTabelle=$benutzer."0".$obFeld[$k]."Kalender";
    $ergebnis=mysqli_query($conn, "select Anreisedatum from $kalTabelle WHERE (SUBSTRING(Anreisedatum,9,2)='01') LIMIT 1");
    $zeile=mysqli_fetch_row($ergebnis);
    if ($kopArt=="preis") {$boolexp=1==1;}
    else $boolexp=$startDatum==$zeile[0];
    if (($obFeld[$k]!=$objektQuelle)&&($boolexp)) {
      $tabK++;
      echo "
        <td class='tdRKop' style='margin:0px;padding:0px;width:20px;height:$tdhoehe;'><input type=\"Checkbox\" style='margin:0px 4px;padding:0px;' name=\"box[]\" value=\"".$obFeld[$k]."\"></td>
        <td class='tdRKop' style='margin:0px;padding:0px;height:$tdhoehe;'><input class='tdInpTr' type='text' style='color:#000000;font-family:Arial;margin:0px 4px;padding:0px;' name='Objekt[]' value=\"".$obFeld[$k]."\" readonly></td>";//end echo
        //if ((($tabK+1)%5==0)&&($k!=($obAnz-1))){
        if (($tabK+1)%5==0){
          echo "</tr><tr>";//end echo
        }
    }
    elseif ($obFeld[$k]!=$objektQuelle) {
      $objMitAnderemStartdatum.=date("d.m.Y",strtotime($zeile[0]))."  ".$obFeld[$k]."\\n";
      $fehlObjAnz++;
    }
  }
  if ($fehlObjAnz > 0) {
    if ($fehlObjAnz == 1) {$singPlur1 = "Das folgende Objekt hat"; $singPlur2="dieses Objekt";}
    else                  {$singPlur1 = "Die folgenden Objekte haben"; $singPlur2="diese Objekte";}
    $achtungSt="HINWEIS ZUM KOPIEREN DER SAISONZEITEN\\n\\nIhr Quellobjekt mit dem zugehörigen Kalenderstartdatum lautet:\\n\\n".date("d.m.Y",strtotime($startDatum))."  ".$objektQuelle."\\n\\n".$singPlur1." ein anderes Kalenderstartdatum als das Quellobjekt.\\nFür ".$singPlur2." kann der Kopiervorgang nicht durchgeführt werden.\\nBeachten Sie die Hinweise auf dieser Seite.\\n\\n";
    $achtungSt.=$objMitAnderemStartdatum;
    echo "<script type=\"text/javascript\">alert('$achtungSt');</script>";
  }
  if ($tabK>4) {
    while (($tabK+1)%5!=0){
      echo "<td class='tdRKop'></td><td class='tdRKop'></td>";
      $tabK++;
    }
  }
  echo "
  </tr>
  </tbody>
  </table>
  </div>
  <div style='text-align:center;margin-top:10px;'>
  <span style='font-size:11px;font-family:arial,helvetica;font-weight:bold;color:#ff8040;margin-bottom:5px;visibility:".$visib.";'>Sie können den Kopiervorgang rückgängig machen, indem Sie im TAB 'Buchungskalender > Datenbank-Sicherungen' mit einem 'Datenbank-Import' eine Datenbanksicherung laden, die zu einem früheren Zeitpunkt erstellt wurde.<br><br></span>";
  if ($kopArt=="preis") {
    echo "
    <span style='font-size:11px;font-family:arial,helvetica;font-weight:bold;color:#000000;'><input type='button' value='Preise kopieren' name='but1' onclick=\"if (pruefen(formular)) {this.form.action='./PreisKop.php';this.form.submit();}\">
    </span>";
  }
  else {
    echo "
    <span style='margin-right:100px;font-size:11px;font-family:arial,helvetica;font-weight:bold;color:#000000;'><input type='button' value='Saisonzeiten kopieren' name='but2' onclick=\"if (pruefen(formular)) {this.form.action='./SaisonKop.php?art=saisonzeiten';this.form.submit();}\">
    </span>
    <span style='margin-left:100px;font-size:11px;font-family:arial,helvetica;font-weight:bold;color:#000000;'><input type='button' value='Mindestmietdauern kopieren' name='but2' onclick=\"if (pruefen(formular)) {this.form.action='./SaisonKop.php?art=mietdauern';this.form.submit();}\">
    </span>";
  }
  echo "
  </div>
  <input type='hidden' name='Benutzer' value='$benutzer'>
  <input type='hidden' name='PW' value='$PW'>
  <input type='hidden' name='objektQuelle' value='$objektQuelle'>
  </div>
  </form>
  </div>";
}//if isset
else {echo "</div>";}
?>
</div>
</body>
</html>