<?php date_default_timezone_set('Europe/Berlin');
include './autHinweis.php';
if (isset($_GET["objekt"])) {
  $objekt=$_GET["objekt"];
}
else {$objekt='';}
if(isset($_GET['date'])) {
  $dateparam='&amp;date='.$_GET['date'];
}
else {$dateparam='';}
$DBOk=true;
include './DBSafe/dbDaten.php';
$vermieterTabelle=$benutzer."0Vermieter";
$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     echo "MySQL-ERROR: ".mysqli_connect_error()." in ".$_scriptName." #1.1";
     $DBOk=false;
}
else {
  mysqli_set_charset($conn, "utf8");
}
include './zugriffsberechtigung.php';
$vollzugriff=false;
if (zugriffsberechtigt($benutzer,$benutzerID,15)) { //hier gibt es nur Vollzugriff
  $vollzugriff=true;
}
else {
  echo  "
    <hr style=\"color:#ffffff; width:95%;margin-top:25px;\">
    <br><h5 style='text-align:center;margin-top:50px;'>Sie haben keine Zugangsberechtigung zu dieser Seite.</h5><br>";
  exit();
}

if ($DBOk) {
  $objektF=array();
  $objAnz=0;
  $benTabelle=$benutzer."0Benutzer";
  $resultObjSpalte=mysqli_query($conn, "select Objekt from $benTabelle");
  while($werte=mysqli_fetch_row($resultObjSpalte)){
    if (strlen($werte[0]) > 0){
      $objektF[$objAnz] = $werte[0];
      $objAnz++;
    }
  }
  if (($objekt=='')||(!in_array($objekt,$objektF))) {
    $objekt=$objektF[0];
    $id=$benutzer."@".$objekt;
  }
  $phpminarray = array();
  $selObjekt=$objekt;
  $kalTab = $benutzer."0".$objekt."Kalender";
  $daten = mysqli_query($conn, "SELECT minTage FROM $kalTab");
  while($datenrow  =  mysqli_fetch_row($daten)){
    array_push($phpminarray,$datenrow[0]); //(minTage)
  }
}
ob_clean();
?>
<!DOCTYPE html>
<html>
<head>
  <title>Mindestmietdauerwahl</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta name="viewport" content="width=1040">
  <link rel="stylesheet" type="text/css" href="basic.css" media="screen">
  <link rel="stylesheet" type="text/css" href="tabs.css" media="screen">
  <link rel="stylesheet" type="text/css" href="toolt.css" media="screen">
  <link rel="stylesheet" type="text/css" href="print.css" media="print">
  <script type="text/javascript" src="executePHPSkript.js"></script>
  <script type="text/javascript">
    var jsminarray=new Array(); //durch die Eingaben aktualisiertes Array
    var jsminarray_sv=new Array(); //urspringliches Array
    function objekt_neu(url,objekt) {
      adr=url+'?objekt='+objekt;
      self.location.replace(adr);
    }
    function hinweis(aktion) {
      if (aktion=='ein') {
        document.getElementById('verwkalhinweisein').style.display='none';
        document.getElementById('verwkalhinweisaus').style.display='block';
        document.getElementById('verwkalhinweisid').style.display='block';
      }
      else {
        document.getElementById('verwkalhinweisein').style.display='block';
        document.getElementById('verwkalhinweisaus').style.display='none';
        document.getElementById('verwkalhinweisid').style.display='none';
      }
    }
    function jsarrayfuellen() {
      jsminarray = [<?php echo '"'.implode('","', $phpminarray).'"' ?>];
      jsminarray_sv=jsminarray.slice();
    }
    function jsarrayaendern(id,wert) {
      // parseInt(id.substr(2)): z.B. id701 in 701 umwandeln
      jsminarray[parseInt(id.substr(2))]=wert;
      //alert(id+": "+jsminarray[parseInt(id.substr(2))]);
    }
    var globurl;
    function mindestmietdauerspeichern(url,modus,date) {
      var n = url.indexOf("/OBS");
      url = url.substring(0, n);
      globurl=url+'/OBS/ad_mindauerwahl.php'+'?objekt=<?php echo $objekt ?>'+'&date='+date;
      var pListe=new Array("benutzer=<?php echo $benutzer ?>","objekt=<?php echo $objekt ?>");
      if (modus=='speichern') {       
        var minwerteSt='';
        for (i=0; i<jsminarray.length; i++) {
          if (jsminarray[i]!=jsminarray_sv[i]) {
            minwerteSt+=i+'~'+jsminarray[i]+'@';
          }
        }
      }
      else { //reset
        var minwerteSt='';
        for (i=0; i<jsminarray.length; i++) {
          if (jsminarray[i]!='0') {
            minwerteSt+=i+'~'+'0@';
          }
        }
      }
      if (minwerteSt.length>0) {
        minwerteSt=minwerteSt.substr(0,minwerteSt.length-1);
        pListe=pListe.concat("minwerteSt="+minwerteSt);
        executePHP('mindauerschreiben.php',pListe);
      }
      else {alert('Aktion erfolgreich durchgeführt');}
    }
    //wird von executePHP im Erfolgsfall aufgerufen
    function minaenderungenladen() {
      alert('Aktion erfolgreich durchgeführt');
      self.location.replace(globurl);
    }
  </script>
</head>
<body style="min-width:1022px;" onload="jsarrayfuellen();">
<div style="width:1022px;margin:0px auto;border:0px solid lightgrey">
 <div id='aussen'>
  <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
	<h1 class="noprint">Wahl der Mindestmietdauer</h1>
	<div id="header">
	<ul id="primary">
		<li><a href="admin.php">Home</a></li>
		<li><a href="objVerw.php">Objektverwaltung</a>
			<ul id="secondary">
                <li><a href="ad_saisonwahl.php">Saisonwahl</a></li>
				<li><span>Mindestmietdauerwahl</span></li>
				<li><a href="ad_kalFortfuehren.php">Kalender fortführen</a></li>
				<li><a href="ad_dbsicherungen.php">Datenbank-Sicherungen</a></li>
				<li><a href="ad_kaltabreset.php">Kalender neu anlegen - Tabellen-Reset</a></li>
				<li><a href="ad_verwBuchung.php" style="float:right;">Buchen - Stornieren - Ändern</a></li>
			</ul>
    </li>
		<li><a href="changePDSeite.php">Einstellungen</a></li>
    <li><a href="designSeite.php">Design</a></li>
		<li><a href="textVerw.php">Textvorlagen</a></li>
    <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
		<li><a href="finanzVerw.php?id=offene&amp;nurlesen=true">Zahlungen</a></li>
		<li><a href="mahnVerw.php">Mahnungen</a></li>
    <li><a href="kalVerw.php" class="current">Buchungskalender</a></li>
	</ul>
	</div>
	<div id='main'>

<a href="ad_mindauerwahl.php" style="float:left"><img class="noprint" style='border:0;' src="Aktual.png" title="Seite aktualisieren" alt=""></a>
<hr style="color:#ffffff; width:95%;margin-top:25px;">
<div id='contents' style='position:relative;'>
<?php
  echo "
  <div style='float:right;'>
  <span style='display:inline-block;font-family:arial,helvetica;font-size:14px;margin-top:1px;margin-bottom:3px;margin-left:3px;'>Wählen Sie das Objekt:</span>
  <select id='ad_buchungselid' style=\"width:179px;margin-top:0px;font-size:13px;margin-left:2px;\" name=\"ad_buchungsel\" size=\"1\" onChange=\"objekt_neu('".$_SERVER['PHP_SELF']."',this.options[this.selectedIndex].value); return false\">";
   for ($i=0; $i<$objAnz; $i++) {
     if ($selObjekt==$objektF[$i]) {echo "<option selected value=\"".$objektF[$i]."\">".$objektF[$i]."</option>";}
     else                          {echo "<option value=".$objektF[$i].">".$objektF[$i]."</option>";}
   }
   echo "
  </select>
  </div>
  <div id='mindauerwahlformid' style='position:absolute;top:50px;left:13px;overflow:visible;'>
     <iframe name='mindauerwahl' id='mindauerwahlid' src='mindauerwahlTAB.php?id=domizil@".$selObjekt."&amp;links=0&amp;groesse=23&amp;x=3&amp;y=1".$dateparam."' scrolling='no' style='overflow:hidden;width:931px;height:450px;border:0px solid black;'></iframe>
  </div>";
?>
  <div style='margin-top:500px;'>
  <span id='verwkalhinweisein' style="display:block;float:right;font-family:arial,helvetica;font-size:12px;font-weight:bold;cursor:pointer;" onclick="hinweis('ein');">
    Hinweise einblenden <img style='border:0;' src="hinweis_ein.png" title="Hinweise einblenden" alt="">
  </span>
  <span id='verwkalhinweisaus' style="display:none;float:right;font-family:arial,helvetica;font-size:12px;font-weight:bold;cursor:pointer;" onclick="hinweis('aus');">
    Hinweise ausblenden <img style='border:0;' src="hinweis_aus.png" title="Hinweise ausblenden" alt="">
  </span>
  </div><br>
  <div id='verwkalhinweisid' style='margin-top:10px;display:none;'>
  <span>
  Im TAB <b>Objektverwaltung > Preise, Zusatzangebote, Buchoptionen</b> können Sie die Mindestmietdauer für jeden Wochentag als Anreisetag festlegen.<br>
  Für besondere Anreisetage (Anreisetage vor Feiertagen etc.) können Sie hier individuelle Mindestmietdauern festlegen. Wenn Sie hierbei von
  0 verschiedene Mindestmietdauern für bestimmte Anreisetage festlegen, haben diese <b>Vorrang</b> vor den im<br>
  TAB <b>Objektverwaltung > Preise, Zusatzangebote, Buchoptionen</b> festgelegten Mindestmietdauern.<br>
  Wenn Sie mehrere Objekte mit den gleichen individuellen Mindestmietdauern verwalten, genügt es, für ein Objekt die Mindestmietdauern festzulegen.<br>
  Im TAB <b>Objektverwaltung > Preise/Saisonzeiten/Mietdauern kopieren</b> können Sie dann in einfacher Weise die Mindestmietdauern auf die anderen Objekte
  übertragen.<br><br>
  Gehen Sie zur Festlegung von individuellen Mindestmietdauern für ein Objekt folgendermaßen vor:</span>
  <ul>
    <li><span>Wählen Sie das Objekt aus der Auswahlliste.</span></li>
    <li><span>Editieren Sie die blauen/roten Zahlen im Kalender für alle Tage, an denen Sie individuelle Mindestmietdauern (neu) festlegen möchten.<br>
              Die Zahlen in den einzelnen Tabellenfeldern haben folgende Bedeutungen:<br>
              Die Zahl links (grau) steht für den Tag,<br>
              die Zahl rechts steht für die Mindestmietdauer für diesen Tag als Anreisetag.<br>
              Die 0 in blauer Farbe zeigt an, dass keine individuelle Mindestmietdauer festgelegt wurde,<br>
              eine von 0 verschiedene Zahl in roter Farbe zeigt eine individuelle Mindestmietdauer an.</span></li>
              <li><span>Mit einem Klick auf die Schaltfläche <b>Mindestmietdauern speichern</b> werden alle blauen/roten Tage des Kalenders sofort gespeichert.</span></li>
  </ul>
  <span>Bitte beachten Sie folgende Hinweise zu den weiteren Schaltflächen:</span>
  <ul>
    <li><span><b>Mindestmietdauern neu laden</b><br>
        Es werden die Mindestmietdauern in den Kalender geladen, die Sie zuletzt gespeichert haben.<br><br></span></li>
    <li><span><b>Alle Mindestmietdauern zurücksetzen</b><br>
              Es werden für alle Tage die Mindestmietdauern 0 gespeichert und in den Kalender geladen.</span></li>
  </ul>
  <span>Bitte beachten Sie weiter:</span>
  <ul>
    <li><span>Bei einem Objektwechsel gehen alle nicht gespeicherten Änderungen verloren.</span></li>
  </ul>
  </div> <!-- verwkalhinweisid -->
</div> <!-- contents -->
</div> <!-- main -->
</div> <!-- aussen -->
</div> <!-- noch weiter aussen, wg. iframe -->
</body>
</html>