<?php date_default_timezone_set('Europe/Berlin');
include './autHinweis.php';
ob_clean();
?>
<!DOCTYPE html>
<html>
<head>
	<title>Verwaltungsbuchung</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta name="viewport" content="width=1080">
  <link rel="stylesheet" type="text/css" href="basic.css" media="screen">
  <link rel="stylesheet" type="text/css" href="tabs.css" media="screen">
  <link rel="stylesheet" type="text/css" href="toolt.css" media="screen">
  <link rel="stylesheet" type="text/css" href="print.css" media="print">
  <script type="text/javascript">
  function hinweis(aktion) {
    if (aktion=='ein') {
      document.getElementById('verwkalhinweisein').style.display='none';
      document.getElementById('verwkalhinweisaus').style.display='block';
      document.getElementById('verwkalhinweisid').style.display='block';
    }
    else {
      document.getElementById('verwkalhinweisein').style.display='block';
      document.getElementById('verwkalhinweisaus').style.display='none';
      document.getElementById('verwkalhinweisid').style.display='none';
    }
  }
</script>
</head>
<body>
 <?php echo "<div id='aussen'>";?>
  <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
	<h1 class="noprint">Buchen, Ändern, Stornieren</h1>
	<div id="header">
	<ul id="primary">
		<li><a href="admin.php">Home</a></li>
		<li><a href="objVerw.php">Objektverwaltung</a>
			<ul id="secondary">
				<li><a href="ad_saisonwahl.php">Saisonwahl</a></li>
                <li><a href="ad_mindauerwahl.php">Mindestmietdauerwahl</a></li>
				<li><a href="ad_kalFortfuehren.php">Kalender fortführen</a></li>
				<li><a href="ad_dbsicherungen.php">Datenbank-Sicherungen</a></li>
				<li><a href="ad_kaltabreset.php">Kalender neu anlegen - Tabellen-Reset</a></li>
				<li><span style="float:right;">Buchen - Stornieren - Ändern</span></li>
			</ul>
    </li>
		<li><a href="changePDSeite.php">Einstellungen</a></li>
    <li><a href="designSeite.php">Design</a></li>
		<li><a href="textVerw.php">Textvorlagen</a></li>
    <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
		<li><a href="finanzVerw.php?id=offene&amp;nurlesen=true">Zahlungen</a></li>
		<li><a href="mahnVerw.php">Mahnungen</a></li>
    <li><a href="kalVerw.php" class="current">Buchungskalender</a></li>
	</ul>
	</div>
	<?php echo "<div id='main'>";?>

<?php
include './zugriffsberechtigung.php';
$vollzugriff=false; $teilzugriff=false;
if (zugriffsberechtigt($benutzer,$benutzerID,15)) {
  $vollzugriff=true;
}
?>
<a href="ad_verwBuchung.php" style="float:left"><img class="noprint" style='border:0;' src="Aktual.png" title="Seite aktualisieren" alt=""></a>
<hr style="color:#ffffff; width:95%;margin-top:25px;">
<h5 class="noprint" style="text-align:center;margin-top:10px;">
Hinweise können Sie unterhalb des Verwaltungs-Buchungskalenders einblenden.
</h5>
<div id='contents'>
  <div id='buchformid' style='text-align:center;'>
     <iframe name='verwbuchung' id='verwbuchid' src='ad_Buchung.php?id=domizil' scrolling='no' style='border-top: 1px solid #ddd;border-right: 0px solid #ddd;border-bottom: 1px solid #ddd;border-left: 1px solid #ddd;overflow:hidden;width:800px;height:556px;'></iframe>
  </div> <!-- buchformid -->
  <div style='margin-top:20px;'>
  <span id='verwkalhinweisein' style="display:block;float:right;font-family:arial,helvetica;font-size:12px;font-weight:bold;cursor:pointer;" onclick="hinweis('ein');">
    Hinweise einblenden <img style='border:0;' src="hinweis_ein.png" title="Hinweise einblenden" alt="">
  </span>
  <span id='verwkalhinweisaus' style="display:none;float:right;font-family:arial,helvetica;font-size:12px;font-weight:bold;cursor:pointer;" onclick="hinweis('aus');">
    Hinweise ausblenden <img style='border:0;' src="hinweis_aus.png" title="Hinweise ausblenden" alt="">
  </span>
  </div><br>
  <div id='verwkalhinweisid' style='margin-top:10px;display:none;'>
    <span>Im Verwaltungs-Buchungskalender können Sie für all Ihre Objekte <b>ohne Einschränkungen</b></span>
  <ul>
    <li><span><b>Buchungen und Reservierungen durchführen.</b></span></li>
    <li><span><b>Bestehende Buchungen/Reservierungen stornieren.</b></span></li>
    <li><span><b>Bestehende Buchungen/Reservierungen objektübergreifend beliebig ändern.</b></span></li>
  </ul>
  <span>In allen Fällen ist es nicht erforderlich, dass das Formular für die persönlichen Daten des Mieters vollständig ausgefüllt werden muss.<br>
  Das Versenden von E-Mails kann wahlweise aktiviert bzw. deaktiviert werden.<br><br>
  </span>
  <span style='color:#ff0000;'>
  Bitte beachten Sie:<br><br>
  Wenn Sie hier in Bereichen, bei denen für den Kunden Beschränkungen bestehen (Lückenbuchung, Wochenbuchung, Bereichsbuchung oder als An- und
  Abreisetage blockierte Tage), Buchungen oder Änderungen vornehmen, müssen Sie darauf achten, dass dadurch keine Konstellationen entstehen,
  die wenig sinnvoll sind oder von Ihnen so nicht beabsichtigt sind. Ggf. müssen zusätzlich zu den Änderungen Anpassungen bei den Saisonzeiten
  vorgenommen werden.<br><br>
  Beim Stornieren und Ändern einer Buchung oder Reservierung wird die ursprüngliche Buchung oder Reservierung mit allen
  Merkmalen gelöscht und eine neue Buchung mit neuen Daten, insbesondere mit neuen Bezahldaten (Anzahlung, Restzahlung,
  Anzahldatum, Restzahldatum), angelegt. Noch benötigte Daten der ursprünglichen Buchung oder Reservierung müssen vorher
  auf eine geeignete Art gesichert werden.<br>
  Umwandlungen von Reservierungen in Buchungen und Änderungen bei den persönlichen Daten, des Mietpreises und der
  Personenzahl (falls nicht preisrelevant), sollten direkt im TAB 'Buchungen' durchgeführt werden.<br><br>
  </span>
  <span>
  Bitte gehen Sie im Einzelnen folgendermaßen vor:</span>
  <ul>
    <li><span><b>Durchführung einer Buchung oder Reservierung</b></span>
      <ul>
        <li><span>Wählen Sie im Steuerpanel das Objekt.</span></li>
        <li><span>Wählen Sie im Steuerpanel den Modus 'Neue Buchung'.</span></li>
        <li><span>Wählen Sie den An- und Abreisetag, die Anzahl der Personen und die Zusatzleistungen.</span></li>
        <li><span>Selektieren Sie ggf. im Steuerpanel die Checkbox für die 'Manuelle Preisänderung' und ändern Sie die Preise.</span></li>
        <li><span>Wechseln Sie in den TAB 'Persönliche Daten'</span>
          <ul>
            <li><span>Das Ausfüllen der einzelnen Felder ist nicht erforderlich. Falls das Feld 'Nachname' nicht ausgefüllt wurde,
                      wird beim Abschließen des Buchungsvorgangs vom Programm das Wort 'VERWALTUNGSBUCHUNG' automatisch eingesetzt.</span></li>
            <li><span>Falls Ihre Kundendatei, die automatisch durch die Buchungsaktivitäten angelegt und gepflegt wird, bereits Einträge enthält,
                      werden beim Ausfüllen der Felder für den Vor- und Nachnamen die entsprechenden Kundendaten eingeblendet und können per
                      Mausklick ausgewählt und damit in die einzelnen Felder übertragen werden.</span></li>
            <li><span>E-Mails werden nur dann versendet, wenn eine E-Mail-Adresse eingetragen wurde <b>und</b> die zugehörige
                      Checkbox selektiert ist.</span></li>
          </ul>
        </li>
        <li><span>Schließen Sie mit einem Klick auf die entsprechende Schaltfläche den Buchungs-/Reservierungsvorgang ab.<br>
                  Beachten Sie, dass durch einen Klick die entsprechende Aktion unmittelbar ausgeführt wird.<br><br></span></li>
      </ul>
    </li>
    <li><span><b>Stornierung einer bestehenden Buchung oder Reservierung</b></span>
      <ul>
        <li><span>Wählen Sie im Steuerpanel das Objekt mit der zu stornierenden Buchung/Reservierung.</span></li>
        <li><span>Wählen Sie im Steuerpanel den Modus 'Buchung ändern'.</span></li>
        <li><span>Aktivieren Sie mit einem Klick auf den Anreisetag die zu stornierende Buchung/Reservierung.<br>
                  Dadurch werden alle Buchungsmerkmale dieser Buchung/Reservierung in das Formular übernommen, einige wichtige werden im
                  Steuerpanel angezeigt.<br>
                  Sie befinden sich nun im </span><span style='color:#ff0000;'>Storniermodus</span><span>.</span></li>
        <li><span>Sie müssen dann direkt in den TAB 'Persönliche Daten' wechseln und dort mit einem Klick auf die aktivierte Schaltfläche
                  die Stornierung durchführen.</span></li>
        <li><span>Wenn Sie nach der Aktivierung der zu stornierenden Buchung/Reservierung das bisherigen oder ein anderes Anreisedatum neu wählen,
                gelangen Sie in den </span><span style='color:#ff0000;'>Änderungsmodus</span><span>, in dem eine Stornierung nicht mehr möglich ist.<br><br></span></li>
      </ul>
    </li>
    <li><span><b>Änderung einer bestehenden Buchung oder Reservierung</b></span>
      <ul>
          <li><span>Damit Sie eine Buchung ändern können, müssen Sie sich zunächst im </span><span style='color:#ff0000;'>Storniermodus</span><span> befinden und durch Wahl
                  eines An- und Abreisedatums im Buchungskalender den </span><span style='color:#ff0000;'>Änderungsmodus</span><span> aktivieren.<br>
                  Gegebenenfalls müssen Sie das ursprüngliche Anreisedatum und/oder das ursprüngliche Abreisedatum wählen.</span></li>
        <li><span>Wie beim normalen Buchungs-/Reservierungsvorgang, können Sie nun anstelle der zu ändernden Buchung/Reservierung eine neue
                  Buchung/Reservierung, auch bei einem anderen Objekt, eingeben, wobei die Buchungsmerkmale mitgeführt werden. Diese Buchungsmerkmale
                  können Sie ggf. ändern, bisher nicht vorhandene können zusätzlich gewählt werden.<br>
                  Wenn Sie in ein Objekt wechseln, bei dem die Zusatzleistungen nicht identisch sind mit denen im ursprünglichen Objekt, müssen
                  Sie diese entsprechend anpassen.</span></li>
        <li><span>Wenn Sie die Änderung im TAB 'Persönliche Daten' abschließen, wird die ursprüngliche Buchung/Reservierung gelöscht und die neue gespeichert.<br>
                  Beachten Sie hierzu unbedingt den oben stehenden Hinweis in roter Schrift.<br><br></span></li>
      </ul>
    </li>
  </ul>
  </div> <!-- verwkalhinweisid -->
</div> <!-- contents -->
</div> <!-- main -->
</div> <!-- aussen -->
</body>
</html>