<?php date_default_timezone_set('Europe/Berlin');
function codeanpassen() {
//es dürfen bei den Farbmarierungen für die Buchung/Anfrage keine gleichen Werte vorkommen
//wenn dies der Fall ist, werden sie geringfügig geändert (max. 3 Einheiten)
  global $hexary;
  $olim=hexdec("0xffffff");
  asort($hexary);
  $keyary=array_keys($hexary);
  $valary=array_values($hexary);
  //nach rechts schieben
  for ($i=0; $i < 3; $i++) {
    if ($valary[$i]>=$valary[$i+1]) {
      $valary[$i+1]=$valary[$i]+1;
    }
  }
  //nach links schieben bei Bereichsüberschreitung
  $diff = $valary[3]-$olim;
  if ($diff > 0) {
    $valary[3]-=$diff;
    for ($j=3; $j > 0; $j--) {
      if ($valary[$j]<=$valary[$j-1]) {
        $valary[$j-1]=$valary[$j]-1;
      }
    }   
  }
  //geänderte Werte ins assotiative array
  $k=0;
  foreach ($hexary as $key => $val) {
    $hexary[$key]=str_pad(dechex($valary[$k]), 6, '0', STR_PAD_LEFT); //links mit Nullen auffüllen
    $k++;
  }
}

include './autHinweis.php';
$browser='';
if (preg_match("/MSIE/",$_SERVER['HTTP_USER_AGENT'])) $browser='IE';
$w=621; $h=415;
if ((preg_match("/SAFARI/",strtoupper($_SERVER['HTTP_USER_AGENT'])))&&
   (!preg_match("/CHROME/",strtoupper($_SERVER['HTTP_USER_AGENT'])))) {$w=621;}
$pfad='./designSeiteDB.php';
include './DBSafe/dbDaten.php';
$tabelle= $benutzer."0Vermieter";

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     ausgabe("Der Datenbankserver ist zur Zeit nicht erreichbar. Versuchen Sie es bitte später noch einmal.");
     exit();
}
mysqli_set_charset($conn, "utf8");

$result=mysqli_query($conn, "select * from $tabelle where lan='00-00'");
if (!$result) {
     ausgabe("FEHLER: Die Vermietertabelle ist nicht vorhanden.");
     mysqli_close($conn);
     exit();
}
else if (mysqli_num_rows($result)<1) {
     ausgabe("FEHLER: Die Vermieterdaten sind nicht vorhanden.");
     mysqli_close($conn);
     exit();
}
ob_clean();
?>
<!DOCTYPE html>
<head>
	<title>Design</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel="stylesheet" type="text/css" href="basic.css" media="screen">
  <link rel="stylesheet" type="text/css" href="tabs.css" media="screen">
  <link rel="stylesheet" type="text/css" href="print.css" media="print">
<script type='text/javascript'>
<!--
function Buchungskalender(url,w,h) {
  fenster=window.open(url,"Buchungskalender","width = "+w+", height = "+h+", top = 20, left = 300,                                                                resizable = yes, scrollbars = no");
  fenster.focus();
}
//-->
</script>
</head>
<body>
 <div id="aussen">
 <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
	<h1 class="noprint">OnBuSys Design: Abschluss</h1>
	<div id="header">
	<ul id="primary">
		<li><a href="admin.php">Home</a></li>
		<li><a href="objVerw.php">Objektverwaltung</a></li>
		<li><a href="changePDSeite.php">Einstellungen</a></li>
    <li><span>Design</span></li>
		<li><a href="textVerw.php">Textvorlagen</a></li>
    <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
		<li><a href="finanzVerw.php?id=offene&amp;nurlesen=true">Zahlungen</a></li>
		<li><a href="mahnVerw.php">Mahnungen</a></li>
    <li><a href="kalVerw.php">Buchungskalender</a></li>
	</ul>
	</div>
	<div id="main">

<?php
if ($benutzerID!=0) {
   echo  "<h5 style='text-align:center;margin-top:50px;'>Sie haben keine Zugangsberechtigung zu dieser Seite.</h5><br>";
   exit();
}
?>
  <a href="designSeite.php" style="float:left"><img class="noprint" style='border:0;' src="Pfeil.png" title="Zurück und Seite aktualisieren" alt=""></a>
<?php
/* Ändern der Werte*/
$keys = array_keys($_POST);
$vals = array_values($_POST);
$hexary=array("belegtFa"=>hexdec($vals[6]),"optioniertFa"=>hexdec($vals[7]),"anreiseFa"=>hexdec($vals[9]),"anreiseOptFa"=>hexdec($vals[10]));
codeanpassen();
$inh=$_POST;
for ($i=0; $i<count($keys); $i++) {
  switch ($i) {
    case 0: $bezFa="anzeigeFa"; break;
    case 1: $bezFa="buchFa"; break;
    case 2: $bezFa="optbgFa"; break;
    case 3: $bezFa="wochenTagFa"; break;
    case 4: $bezFa="editFa"; break;
    case 5: $bezFa="freiFa"; break;
    case 6: $bezFa="belegtFa"; $inh[$keys[6]]=$hexary["belegtFa"]; break;
    case 7: $bezFa="optioniertFa"; $inh[$keys[7]]=$hexary["optioniertFa"]; break;
    case 8: $bezFa="markiertFa"; break;
    case 9: $bezFa="anreiseFa"; $inh[$keys[9]]=$hexary["anreiseFa"]; break;
    case 10: $bezFa="anreiseOptFa"; $inh[$keys[10]]=$hexary["anreiseOptFa"]; break;
    case 11: $bezFa="rechnMailtxt"; break;
    case 12: $bezFa="formFa"; break;
    //case 13: $bezFa="preisFa"; break;
  }
  $facode=$inh[$keys[$i]];
  if (!mysqli_query($conn,  "UPDATE LOW_PRIORITY $tabelle SET $bezFa = '$facode' where lan='00-00'")){
    ausgabe("FEHLER: Farben nicht geändert.\n");
    exit();
  }
}
echo "
<h5 class=\"noprint\" style='text-align:center;'><br>Die Farben wurden erfolgreich geändert.<br><br><br></h5>
</div>
</div>
</body>
</html>";
?>