function uftdecode(utftext) {
  var string = "";
  var i = 0;
  var c = c1 = c2 = 0;
  while ( i < utftext.length ) {
    c = utftext.charCodeAt(i);
    if (c < 128) {
      string += String.fromCharCode(c);
      i++;
    }
    else {
      if((c > 191) && (c < 224)) {
        c2 = utftext.charCodeAt(i+1);
        string += String.fromCharCode(((c & 31) << 6) | (c2 & 63));
        i += 2;
      }
      else {
        if (c != 65279) { //byte order mark (BOM), a magic number at the start of a text stream
          c2 = utftext.charCodeAt(i+1);
          c3 = utftext.charCodeAt(i+2);
          string += String.fromCharCode(((c & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
          i += 3;
        }
        else {
          i++;
        }
      }
    }
  }
  return string;
}

function isIEMobile() {
  var regExp = new RegExp("IEMobile", "i");
  return navigator.userAgent.match(regExp);
}
function createobject() {
  try {req = new XMLHttpRequest();}
  catch (reqerr) {try {req = new ActiveXObject("Msxml2.XMLHTTP");}
    catch (reqerr) {try {req = new ActiveXObject("Microsoft.XMLHTTP");}
      catch (reqerr) {req = null;}
    }
  }
  return req;
}
var erg ="";
function executePHP(url,paramListe) {
  var http = createobject();
  var pdfURL; //wird auch für nicht pdf-Dateien verwendet
  if (http == null) {erg="false";}
  else {
    var params=paramListe[0];
    for (i = 1;i < paramListe.length;i++) {
      params+= '&'+paramListe[i];
    }
    if ((url=='einzelaend.php')||(url=='einzelaendKu.php')) {params=params.replace(/\+/g,'%2B');}
    //false (synchron), sonst funktioniert ad_persdaten nicht, die anderen gehen auch bei true (asynchron)
    if (url=='mindauerschreiben.php') {http.open("POST", url, true);}
    else                              {http.open("POST", url, false);}
    //Send the proper header information along with the request
    http.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    http.setRequestHeader("Content-length", params.length);
    //http.setRequestHeader("Connection", "close");
    http.setRequestHeader("Connection", "keep-alive");
    http.onreadystatechange = function() {//Call a function when the state changes.
      if (http.readyState == 4) {
        if (http.status == 200) {
          resp=http.responseText;
          //resp=uftdecode(resp);
          if (resp.match(/^URLM:/)) {
            pdfURL=resp.replace(/^URLM:/,""); 
            if (isIEMobile()) {window.setTimeout('location.assign("'+pdfURL+'");',500);}
            else              {window.setTimeout('window.open("'+pdfURL+'","");',500);}
            erg="true";
          }
          else if (resp.match(/^URLA:/)) {
            pdfURL=resp.replace(/^URLA:/,""); 
            if (isIEMobile()) {window.setTimeout('location.assign("'+pdfURL+'");',500);}
            else              {window.setTimeout('window.open("'+pdfURL+'","");',500);}
            erg="true";
          }
          else if (resp.match(/^URLR:/)) {
            pdfURL=resp.replace(/^URLR:/,"");
            if (isIEMobile()) {window.setTimeout('location.assign("'+pdfURL+'");',500);}
            else              {window.setTimeout('window.open("'+pdfURL+'","");',500);}
            erg="true";
          }
          else if (resp.match(/^RechNR:/)) {
            pdfRechParam=resp.replace(/^RechNR:/,"");
            window.setTimeout('holePDFRechnung("'+pdfRechParam+'");',500);
            erg="true";
          }
          else if (resp.match(/^objCHG:/)) {
            pdfURL=resp.replace(/^objCHG:/,"");
            window.setTimeout('alert("Objekt aktualisiert"); window.location.href="'+pdfURL+'";',500);
            erg="true";
          }
          else if (resp.match(/^aliCHG:/)) {
            pdfURL=resp.replace(/^aliCHG:/,"");
            window.setTimeout('alert("Alias aktualisiert"); window.location.href="'+pdfURL+'";',500);
            erg="true";
          }
          else if (resp.match(/^rechnrbemCHG:/)) {
            pdfURL=resp.replace(/^rechnrbemCHG:/,"");
            window.setTimeout('alert("Bemerkung aktualisiert"); window.location.href="'+pdfURL+'";',500);
            erg="true";
          }
          else if (resp.match(/^Saison:/)) {
            window.setTimeout('aenderungenladen();',500);
            erg="true";
          }
          else if (resp.match(/^minDauer:/)) {
            window.setTimeout('minaenderungenladen();',500);
            erg="true";
          }
          else if (resp.match(/^OK:ad_persdaten/)) {
            erg="true";
          }
          else if (resp.match(/^ERROR:ad_persdaten/)) {
            pdfURL=resp.replace(/^ERROR:/,"");
            window.setTimeout('alert("FEHLER: Die Sessionvariable <"+pdfURL+"> konnte nicht geschrieben werden.");',500);
            erg="true";
          }
          else {
            erg=resp; alert(erg);
          }
        }
        else {
          alert("http-Status: "+http.status+" Error sending request object!");
        }
      }
    };
    http.send(params);
  }
}