<?php date_default_timezone_set('Europe/Berlin');
   include './autHinweis.php';
   ob_clean();
?>
<!DOCTYPE html>
<html>
<head>
  <title>Objektverwaltung</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel="stylesheet" type="text/css" href="basic.css" media="screen">
  <link rel="stylesheet" type="text/css" href="tabs.css" media="screen">
  <link rel="stylesheet" type="text/css" href="print.css" media="print">
</head>
<body>
 <div id="aussen">
 <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
	<h1 class="noprint">OnBuSys Objektverwaltung: Auswahlmenue</h1>
	<div id="header">
	<ul id="primary">
	<li><a href="admin.php">Home</a></li>
	<li><span>Objektverwaltung</span>
	<ul id="secondary">
	  <li><a href="objVerwSec.php">Objekteinrichtung/Pers. Daten</a></li>
	  <li><a href="multiObj.php">Objekt-Gruppierung</a></li>
	  <li><a href="Preiseingabe.php">Preise, Zusatzangebote, Buchoptionen</a></li>
	  <li><a href="SaisonKopSeite.php">Preise/Saisonzeiten/Mietdauern kopieren</a></li>
	  <li><a href="objZugriffSeite.php">Zugriffsrechte/Anreisetag</a></li>
	</ul>
    </li>
    <li><a href="changePDSeite.php">Einstellungen</a></li>
    <li><a href="designSeite.php">Design</a></li>
	<li><a href="textVerw.php">Textvorlagen</a></li>
    <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
	<li><a href="finanzVerw.php?id=offene&amp;nurlesen=true">Zahlungen</a></li>
	<li><a href="mahnVerw.php">Mahnungen</a></li>
    <li><a href="kalVerw.php">Buchungskalender</a></li>
	</ul>
	</div>
	<div id="main">
<hr style="color:#ffffff; width:95%;margin-top:25px;">
<div id="contents">
<h5 style='text-align:left;'>
Bei den oben stehenden Menüpunkten haben Sie die nachfolgend aufgeführten Möglichkeiten.<br>Nähere Informationen finden Sie direkt auf
den zugehörigen Seiten.<br><br>
<span style="font-family:arial,helvetica; font-size:12px; text-decoration:none;color:#333366">Objekteinrichtung/Pers. Daten<br></span><br>
Hier können Sie ihrer persönlichen Daten, die auf Rechnungen und Mietverträgen verwendet werden, eingeben bzw. ändern, neue Objekte anlegen,
bestehende löschen oder Objektnamen und Aliase ändern.<br><br>
<span style="font-family:arial,helvetica; font-size:12px; text-decoration:none;color:#333366">Objekt-Gruppierung<br></span><br>
Hier können Sie Objekte in Gruppen zusammenfassen, die sowohl als einzelne Objekte als auch insgesamt als ganze Gruppe buchbar sein sollen.<br><br>
<span style="font-family:arial,helvetica; font-size:12px; text-decoration:none;color:#333366">Preise, Zusatzangebote, Buchoptionen<br></span><br>
Hier können Sie die Preise Ihrer Objekte für maximal 8 Saisonzeiten und individuelle Zusatzangebote eingeben, die dem Kunden im Buchungskalender zur Auswahl angeboten werden.<br>
Außerdem stehen eine Reihe objektabhängiger Optionen zur Verfügung: Min. Mietdauer, max. Belegung, Rabatte, Zuschläge, Direktbuchung, Lastschriftverfahren, Mietvertrag, Rechnungsversand, Hinweistexte, ...<br><br>
<span style="font-family:arial,helvetica; font-size:12px; text-decoration:none;color:#333366">Preise/Saisonzeiten/Mietdauern kopieren<br></span><br>
Hier können Sie die Preise und Saisonzeiten, die Sie für  ein Objekt bereits festgelegt haben, auf weitere Objekte übertragen.<br>
Alle Eingaben, die Sie unter dem Menuepunkt: 'Preise, Zusatzangebote, Buchoptionen' für ein Objekt gemacht haben, können Sie auf Ihre anderen
Objekte übertragen und dann unter dem gleichen Menuepunkt jeweils an die anderen Objekte anpassen.<br>
Die zu übertragenden Saisonzeiten sind im TAB 'Buchungskalender > Saisonwahl' einzugeben. Eine Übertragung auf
andere Objekte ist nur möglich, wenn die zugehörigen Kalender das gleiche Startdatum aufweisen.<br><br>
<span style="font-family:arial,helvetica; font-size:12px; text-decoration:none;color:#FF0000">
Sie können einen Kopiervorgang rückgängig machen, indem Sie im TAB 'Buchungskalender > Datenbank-Sicherungen' eine Datenbanksicherung
laden, die zu einem früheren Zeitpunkt erstellt wurde.</span><br><br>
<span style="font-family:arial,helvetica; font-size:12px; text-decoration:none;color:#333366">Zugriffsrechte und Anreisetag<br></span><br>
Hier können Sie festlegen, auf welche Objekte ein Subverwalter Zugriff und für welche Seiten er Administratorrechte hat (sofern im TAB 'Einstellungen' eingerichtet) und den Anreisetag für Buchungen, die nur wochenweise möglich sind, auswählen.<br><br>
</h5>
</div>
</div>
</div>
</body>
</html>