<?php date_default_timezone_set('Europe/Berlin');
   include './aut.php';
   ob_clean();
   function ausgabe($benutzer,$aStr){
?>
<!DOCTYPE html>
<html>
<head>
	<title>Einstellungen</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<style type="text/css" media="screen">@import "basic.css";</style>
	<style type="text/css" media="screen">@import "tabs.css";</style>
</head>
<body>
 <div id="aussen">
 <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
	<h1>OnBuSys Anreisetag und Objekt-Zugriffsrechte für Subverwalter: Abschluss</h1>
	<div id="header">
	<ul id="primary">
		<li><a href="admin.php">Home</a></li>
		<li><a href="objVerw.php" class="current">Objektverwaltung</a>
			<ul id="secondary">
				<li><a href="objVerwSec.php">Objekteinrichtung/Pers. Daten</a></li>
				<li><a href="multiObj.php">Objekt-Gruppierung</a></li>
				<li><a href="Preiseingabe.php">Preise, Zusatzangebote, Buchoptionen</a></li>
				<li><a href="SaisonKopSeite.php">Preise/Saisonzeiten/Mietdauern kopieren</a></li>
				<li><span>Zugriffsrechte/Anreisetag</span></li>
			</ul>
        </li>
		<li><a href="changePDSeite.php">Einstellungen</a></li>
        <li><a href="designSeite.php">Design</a></li>
		<li><a href="textVerw.php">Textvorlagen</a></li>
        <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
		<li><a href="finanzVerw.php?id=offene&amp;nurlesen=true">Zahlungen</a></li>
		<li><a href="mahnVerw.php">Mahnungen</a></li>
        <li><a href="kalVerw.php">Buchungskalender</a></li>
	</ul>
	</div>
	<div id="main">
    <a href="objZugriffSeite.php" style="float:left"><img style='border:0;' src="Pfeil.png" title="Zurück und Seite aktualisieren" alt=""></a>
		<div id="contents">
<table style='border:0;width:100%;'>
  <tr>
    <td style='text-align:center;font-family:Arial;font-size:16px;'>
       <br>
       <?php echo ($aStr); ?>
    </td>
  </tr>
</table>
</div>
</div>
</div>
</body>
</html>
<?php
   }
$Objekt=$_POST["Objekt"];

if (!isset($Objekt)){
     ausgabe($benutzer,"Unberechtigter Zugriff!<br>&nbsp;");
     exit();
}
$objAnz=count($Objekt);
for ($i=0;$i<$objAnz;$i++) {
   $objStrSubverw[$i]="00000000000000000000&".$Objekt[$i];
   $objStrZugriff[$i]="000000000000000&".$Objekt[$i];
}
foreach ($_POST as $name => $value) {
  if (($name!='SubPreisRB')&&($name!='SubStorRB')) {
    if (substr($name,-3)== 'Box'){
      $objName=substr($name,0,-3);//-Box
      for ($i=0;$i<$objAnz;$i++) {
        list($dummy,$oName)=explode("&",$objStrSubverw[$i]);
        if ($oName==$objName) {
          $nr=$i;break;
        }
      }
      foreach ($value as $wert) {
        $objStrSubverw[$nr][$wert]=1;
      }
    }
    elseif (substr($name,-5)== 'Radio'){
      $objName=substr($name,0,-5);//-Radio
      for ($i=0;$i<$objAnz;$i++) {
        list($dummy,$oName)=explode("&",$objStrZugriff[$i]);
        if ($oName==$objName) {
          $nr=$i;break;
        }
      }
      foreach ($value as $wert) {
        $objStrZugriff[$nr][14]=$wert;
      }
    }
  }
}
include './DBSafe/dbDaten.php';

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     ausgabe($benutzer,"Der Datenbankserver ist zur Zeit nicht erreichbar.<br>&nbsp;");
     exit();
}
mysqli_set_charset($conn, "utf8");
include './language/lancfg.php';//damit $_lanarray zur Vefügung steht
$lanSt='00-00,';
for ($i=0;$i<count($_lanarray);$i++) {
  $lanSt.=$_lanarray[$i];
  if ($i!=count($_lanarray)-1) {$lanSt.=',';}
}
$hlanary=explode(',',$lanSt);
$aktlan='';
for ($i=0;$i<$objAnz;$i++) {
  list($SubverwalterCode,$objektName)=explode("&",$objStrSubverw[$i]);
  list($ZugriffsCode,$objektName)=explode("&",$objStrZugriff[$i]);
  $preisTabelle=$benutzer."0".$objektName."Preise";
  for ($j=0;$j<count($hlanary);$j++) {
    $aktlan=$hlanary[$j];
    $result=mysqli_query($conn, "select ZugriffsCode from $preisTabelle where lan='$aktlan'");
    $anzRows = mysqli_num_rows($result);
    if ($anzRows < 1){
      ausgabe($benutzer,"Die Tabelle ist nicht vorhanden.<br>&nbsp;");
      mysqli_close($conn);
      exit();
    }
    $row=mysqli_fetch_row($result);
    $altzugriffsCode=$row[0];
    $ZugriffsCode=substr($altzugriffsCode,0,14).substr($ZugriffsCode,14);
    //die ersten 5 Stellen: unbesetzt, urspr. Subverwalterzugriff für alle Sprachen
    //5. - 13. Stelle: verfügbar für einzelne Sprachen
    //14. Stelle: Anreisetag für Wochenbuchungen (0..6) für alle Sprachen
    //echo $preisTabelle.':'.$aktlan.':'.$ZugriffsCode.'<br>';
    if (!mysqli_query($conn,  "UPDATE $preisTabelle SET ZugriffsCode='$ZugriffsCode' where lan='$aktlan'")){
      ausgabe($benutzer,"Die geänderten Objekt-Zugriffsdaten wurden nicht übernommen.<br>&nbsp;");
      mysqli_close($conn);
      exit();
    }
  }
  //für alle Sprachen gleich
  if (!mysqli_query($conn,  "UPDATE $preisTabelle SET SubverwalterCode='$SubverwalterCode'")){
    ausgabe($benutzer,"Die geänderten Objekt-Zugriffsdaten wurden nicht übernommen.<br>&nbsp;");
    mysqli_close($conn);
    exit();
  }
}

$subpreisstatus = $_POST['SubPreisRB'];
$substorestatus = $_POST['SubStorRB'];
$vermieterTabelle=$benutzer."0Vermieter";
$result=mysqli_query($conn, "select Optionencode from $vermieterTabelle where lan='00-00'");
$row=mysqli_fetch_row($result);
$Optionencode=$row[0][0].$subpreisstatus.$row[0][2].$substorestatus.substr($row[0],4);
if (!mysqli_query($conn,  "UPDATE $vermieterTabelle SET Optionencode='$Optionencode' where lan='00-00'")){
  ausgabe($benutzer,"Die Subverwalter-Objektberechtigungen wurden nicht übernommen.<br>");
  mysqli_close($conn);
  exit();
}

mysqli_close($conn);

ausgabe($benutzer,"Die Änderungen wurden erfolgreich gespeichert.<br>&nbsp;");
?>