<?php date_default_timezone_set('Europe/Berlin'); if (!isset($_SESSION)) {session_start();}
include './rabattStrFu.php'; //damit steht die Funktion getrabattstr zur Verfügung
function alertmeldung($alst) {
  $alst = strtr($alst, array("\r\n" => '\n', "\n" => '\n', "\r" => '\n', "<br>" => '\n'));
	echo $alst;
}
if (isset($_POST["benutzer"])) {
  $benutzer=$_POST["benutzer"];
  $nr=$_POST["nr"]; //Objekt
  $Anreisedatum=$_POST["Anreisedatum"];
}
else {
  alertmeldung("ERROR: Access forbidden");
  exit();
}

include_once './mailheadertxt.php';
include './DBSafe/dbDaten.php';

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     alertmeldung("ERROR: MySQL-ERROR: ".mysqli_connect_error()." #1");
     exit();
}
mysqli_set_charset($conn, "utf8");

$buchTabelle=$benutzer."0".$nr."Buchungen";
$result=mysqli_query($conn, "select * from $buchTabelle where Anreisedatum='$Anreisedatum'");
if (!$result) {
  alertmeldung("ERROR: Der Datensatz ist nicht vorhanden");
  mysqli_close($conn);
  exit();
}
else {
  $inh  =  mysqli_fetch_row($result);
}
$Buchcode=$inh[13];
if (strlen($Buchcode)<18) {
    $_lan='de-DE';
}
else {
  list($dummy1,$dummy2,$dummy3,$_lan) = explode('/',$Buchcode);
}

include_once './language/lancfg.php';
include_once './language/'.$_lan.'/'.$_lan."authSenden.php";
include_once './language/'.$_lan.'/'.$_lan."globalTxt.php";

$hostTab="BenutzerHost";
$result=mysqli_query($conn, "select * from $hostTab where Benutzername='$benutzer'");
if ($result){
  $hinh = mysqli_fetch_row($result);
  include_once './getAlias.php'; $alias=getalias($benutzer,$nr);
  $tabelle=$benutzer."0Vermieter";
  $tresult=mysqli_query($conn, "select * from $tabelle where lan='$_lan'");
  $trow = mysqli_fetch_row($tresult);
  $result=mysqli_query($conn, "select * from $tabelle where lan='00-00'");
  if ($result) {
    $row = mysqli_fetch_row($result);
    //Personenzahl und Preisstring für den Tagespreis/Person
    $Optionencode=$row[10];
		$tagPrPers=$inh[17]+$inh[18];
    $tagesPreisSt=number_format($inh[25]/$inh[24]/$tagPrPers,2,'.','');
    $absender=$row[2];
    $infoempf=$row[71];
    $mail5param=$row[72];
    $anDat=date($_datFormat,strtotime($inh[14]));
    $abDat=date($_datFormat,strtotime($inh[15]));
    $buchDat=date($_datFormat,strtotime($inh[16]));
    $heute=date($_datFormat, time());
    $gerAnzahldatum=date($_datFormat,strtotime($inh[28]));
    $gerRestzahldatum=date($_datFormat,strtotime($inh[29]));
    $anfaell="";
    if ($_buchdat19!="") {
      $restfaell=$_buchdat19.$gerRestzahldatum;
      $anfaell=$_buchdat19.$gerAnzahldatum;
    }
    $betreff="OnBuSys - Mietvertrag";
    $nachricht="In der Anlage erhalten Sie den angeforderten Mietvertrag";
    
    $incl_anr=$inh[0]; $incl_vorn=$inh[1]; $incl_nachn=$inh[2]; $incl_str=$inh[3];
    $incl_plz=$inh[4]; $incl_ort=$inh[5]; $incl_land=$inh[64];
    include './mail_adr.php';

    $zulei1="";
    $ezArtAry=array(array($inh[40],$inh[45]),array($inh[41],$inh[46]),array($inh[42],$inh[47]),array($inh[43],$inh[48]),array($inh[44],$inh[49]),  array($inh[65],$inh[70]),array($inh[66],$inh[71]),array($inh[67],$inh[72]),array($inh[68],$inh[73]),array($inh[69],$inh[74]),  array($inh[50],$inh[55]),array($inh[51],$inh[56]),array($inh[52],$inh[57]),array($inh[53],$inh[58]),array($inh[54],$inh[59]),  array($inh[75],$inh[80]),array($inh[76],$inh[81]),array($inh[77],$inh[82]),array($inh[78],$inh[83]),array($inh[79],$inh[84]));
    $ezArtDa=false;
    foreach ($ezArtAry as $val) {
      if ((strlen($val[0])!=0)&&($val[1]>0)) {$ezArtDa=true;}
    }
    if ($ezArtDa) {
      $einGabe=0;
      $zulei1.=$_buchdat14;
      foreach ($ezArtAry as $val) {
        if (strlen($val[0])!=0) {
          if ($val[1]>0) {
            if ($einGabe>0) {$zulei1.=", ";}
            $einGabe++;
            if (strrpos($val[0],'~')!==false) {
              $artpos=strrpos($val[0],'~');
              $val[0]=substr($val[0],0,$artpos);
            }
            $zulei1.=$val[1]."x".$val[0];
          }
        }
      }
    }

    $zulei2="";
    $sArtAry=array($inh[60],$inh[61],$inh[62],$inh[63]);
    $sArtDa=false;
    foreach ($sArtAry as $val) {
      if (strlen($val)!=0) {$sArtDa=true;}
    }
    if ($sArtDa) {
      $einGabe=0; $idx=21; $endPreisStrProzary=explode('@',$inh[23]);
      foreach ($sArtAry as $val) {
        $idx++;
        if ((float) $endPreisStrProzary[$idx] > 0) {
          if (strlen($val)!=0) {
            if ($einGabe>0) {$zulei2.=", ";}
            $einGabe++;
            if (strrpos($val,'~')!==false) {
              $artpos=strrpos($val,'~');
              $val=substr($val,0,$artpos);
            }
            $zulei2.=$val;
          }
        }
      }
      if ($einGabe > 0) {$zulei2=$_buchdat15.$zulei2;}
    }
    $ptabelle= $benutzer."0".$nr."Preise";     /* Name der Tabelle*/
    $presult=mysqli_query($conn, "select ObjAnschrift,waehr from $ptabelle where lan='$_lan'");
    if ($presult){
      $prow = mysqli_fetch_row($presult);
      $ObjAnschrift=$prow[0];
      $waehr=$prow[1];
    }

    $vztabelle=$benutzer."0Vermieter";
    $vzresult=mysqli_query($conn, "select * from $vztabelle where lan='$_lan'");
    $anzRows = mysqli_num_rows($vzresult);
    if ($anzRows < 1){
      alertmeldung("ERROR: MySQL-ERROR: ".mysqli_errno($conn)." #3");
    }
    else {
      $vzrow = mysqli_fetch_row($vzresult);
    }
    $Trenner = md5(uniqid(time()));
		$lS=45; //Breite der linken Spalte
    require_once('./FPDI/tfpdf.php');
    class FPDF extends tFPDF {
      //Page header
      function Header()	{
        global $benutzer, $nr;
        global $vzrow,$_lan;
        $bilddatei = './domizil/'.$_lan.'_'.$benutzer.'_header_'.$nr.'.jpg';
        if (file_exists($bilddatei)) {
          $this->Image($bilddatei,0,0,210);
        }
        else {
          $bilddatei = './domizil/'.$_lan.'_'.$benutzer.'_header.jpg';
          if (file_exists($bilddatei)) {
            $this->Image($bilddatei,0,0,210);
          }
          else {
            $txt=$vzrow[50];
            $txt = strtr($txt, array("\r\n" => '\n', "\n" => '\n', "\r" => '\n', "<br>" => '\n'));
            $zeilen=explode('\n',$txt);
            $this->SetY(10);
              $this->SetFont('DejaVu','B',10);
            for ($z=0; $z<sizeof($zeilen);$z++) {
              $this->Cell(0,5,trim($zeilen[$z]),0,0,'L'); $this->Ln(5);
            }
          }
        }
      }
      //Page footer
      function Footer()	{
        global $benutzer,$nr;
        global $vzrow,$_lan;
        global $_pdfseite;
        $bilddatei = './domizil/'.$_lan.'_'.$benutzer.'_footer_M_'.$nr.'.jpg';
        $this->SetY(-1);//1 über dem unteren Rand
        $y = 1 + $this->GetY(); //wg.OFC
        if (file_exists($bilddatei)) {
          list($width, $height, $type, $attr) = getimagesize($bilddatei);
          $h=ceil($height*210/$width);
          $this->Image($bilddatei,0,$y-$h-10,210);
        }
        else {
          $bilddatei = './domizil/'.$_lan.'_'.$benutzer.'_footer_M.jpg';
          if (file_exists($bilddatei)) {
            list($width, $height, $type, $attr) = getimagesize($bilddatei);
            $h=ceil($height*210/$width);
            $this->Image($bilddatei,0,$y-$h-10,210);
          }
          else {
            $txt=$vzrow[44];
            $txt = strtr($txt, array("\r\n" => '\n', "\n" => '\n', "\r" => '\n', "<br>" => '\n'));
            $zeilen=explode('\n',$txt);
            $hoehe=0.376*8*(sizeof($zeilen)+1);
            $this->SetY($y-15-$hoehe);
              $this->SetFont('DejaVu','B',8);
            for ($z=0; $z<sizeof($zeilen);$z++) {
              $this->Cell(0,5,trim($zeilen[$z]),0,0,'L');$this->Ln(4);
            }
          }
        }
        //Page number
        $this->SetY($y-8);
        $this->Cell(0,5,$_pdfseite.' '.$this->PageNo().'/{nb}',0,0,'C');
      }
    }
    //Instanciation of inherited class
    require_once('./FPDI/fpdi.php');
    $pdf = new FPDI();
    // Add some Unicode font (uses UTF-8)
    $pdf->AddFont('DejaVu', '', 'DejaVuSansCondensed.ttf', true);
    $pdf->AddFont('DejaVu', 'B', 'DejaVuSansCondensed-Bold.ttf', true);
    
    $pdf->AliasNbPages();
    $pdf->SetMargins(20, 40);

    $pdf->AddPage();

    $pdf->SetY(50);
    //Anschrift
    $pdf->SetFont('DejaVu','B',10);
    $pdf->Cell(60,5,$titel);
    $pdf->Ln(5);
    $hilfSt=$stDr.$inh[1].$tz.$inh[2];
    $pdf->Cell(60,5,$hilfSt);
    $pdf->Ln(5);
    $pdf->Cell(60,5,$inh[3]);    
    $pdf->Ln(5);
    $pdf->Cell(60,5,$inh[4].' '.$inh[5]);    
    if ($inh[64]!="") {$hilfSt.=', '.$inh[64];
      $pdf->Ln(5);
      $pdf->Cell(60,5,$inh[64]);    
    }
    //Überschrift
    $pdf->SetY(105);
    $pdf->SetFont('DejaVu','',20);
    $pdf->Cell(0,10,$_mietver9.' ('.$heute.')',0,0,'C');

    //Mietobjekt
    $pdf->Ln(25); $pdf->SetFont('DejaVu','B',10);
    $pdf->Cell($lS,5,$_mietver7);
    $pdf->SetFont('DejaVu','',9);
    $pdf->MultiCell(0,5,$alias.', '.$ObjAnschrift,0,'L');

    //Buchungsdaten
    $pdf->Ln(5); $pdf->SetFont('DejaVu','B',10);
    $pdf->Cell($lS,5,$_mietver9);
    $pdf->SetFont('DejaVu','',9);
    $hSt =$_mietver10;
    $hSt.=$_mietver11.$inh[17];
    if ($inh[18] != '0') {$hSt.=$_buchdat8.$inh[18];}
    if ($inh[19] != '0') {$hSt.=$_buchdat9.$inh[19];}
    $pdf->Cell(0,5,$hSt);

    $ok="0";
    $pdf->Ln(5); $pdf->Cell($lS);
    if ($inh[20] != $_verpf0) {
      $pdf->Ln(1); $pdf->Cell($lS);
      $pdf->Cell(30,5,$_buchdat10.$inh[20]);
      $ok="1";
    }
    if ($ok=="1") {
      $pdf->Ln(5); $pdf->Cell($lS); $ok="0"; //Zeilenvorschub nur bei $ok=="1"
    }
    if ($zulei1!='') {
      @list($zulei1a,$zulei1b) = explode("\n",$zulei1);
      $pdf->Ln(1); $pdf->Cell($lS);
      $pdf->Cell(30,5,$zulei1a);
      $pdf->Ln(5); $pdf->Cell($lS);
      $pdf->MultiCell(0,5,$zulei1b,0,'L');
    }
    if ($zulei2!='') {
      @list($zulei2a,$zulei2b) = explode("\n",$zulei2);
      $pdf->Ln(1); $pdf->Cell($lS);
      $pdf->Cell(30,5,$zulei2a);
      $pdf->Ln(5); $pdf->Cell($lS);
      $pdf->MultiCell(0,5,$zulei2b,0,'L');
    }

    $pdf->Ln(1); $pdf->Cell($lS);
    $pdf->Cell(30,5,$_buchdat11); $pdf->Cell(25,5,$anDat);
    $pdf->Cell(30,5,$_buchdat12); $pdf->Cell(0,5,$abDat);
    $pdf->Ln(5); $pdf->Cell($lS);
    $pdf->Cell(30,5,$_buchdat13); $pdf->Cell(10,5,$inh[24]);

    //Wohnungspreis
    $pdf->Ln(10); $pdf->SetFont('DejaVu','B',10);
    $x = $pdf->GetX(); $y = $pdf->GetY();
    $pdf->Cell($lS,5,$_mietver12);
    $pdf->SetFont('DejaVu','',9);$pdf->SetX($x); $pdf->SetY($y);
    if ($inh[29]==$inh[28]){
      $pdf->Cell($lS);
      $pdf->Cell(30,5,$_buchdat16);$pdf->Cell(20,5,$inh[25].' '.$waehr,0,0,'R');
      $pdf->SetX($pdf->GetX()-2); $pdf->Cell(0,5,$restfaell);
      if ($Optionencode[0]=='1') {
        $pdf->Ln(5); $pdf->Cell($lS);
        $pdf->Cell(30,5,$_buchdat20);$pdf->Cell(20,5,$tagesPreisSt.' '.$waehr,0,0,'R');
        $pdf->Cell(0,5,$_buchdat21);
      }
    }
    else {
      $pdf->Cell($lS);
      $pdf->Cell(30,5,$_buchdat16);$pdf->Cell(20,5,$inh[25].' '.$waehr,0,0,'R');
      if ($Optionencode[0]=='1') {
        $pdf->Ln(5); $pdf->Cell($lS);
        $pdf->Cell(30,5,$_buchdat20);$pdf->Cell(20,5,$tagesPreisSt.' '.$waehr,0,0,'R');
        $pdf->Cell(0,5,$_buchdat21);
      }
      $pdf->Ln(5); $pdf->Cell($lS);
      $pdf->Cell(30,5,$_buchdat17);$pdf->Cell(20,5,$inh[26].' '.$waehr,0,0,'R');
      $pdf->SetX($pdf->GetX()-2); $pdf->Cell(0,5,$anfaell);
      $pdf->Ln(5); $pdf->Cell($lS);
      $pdf->Cell(30,5,$_buchdat18);$pdf->Cell(20,5,$inh[27].' '.$waehr,0,0,'R');
      $pdf->SetX($pdf->GetX()-2); $pdf->Cell(0,5,$restfaell);
    }
    $rabatttxt=getrabattstr($benutzer,$inh[23], "PDF", $waehr, $_rabatttext11, $_rabatttext12, $_rabatttext1, $_rabatttext2, $_rabatttext3);
    if (strlen($rabatttxt) > 0) {
      $pdf->Ln(7); $pdf->Cell($lS);
      $pdf->MultiCell(0,5,$rabatttxt,0,'L');
    }

    $pdffiles = glob("./DBSafe/*.pdf");
    if (is_array($pdffiles) && count($pdffiles) > 0) {
      foreach ($pdffiles as $filename) {unlink($filename);}
    }
    $pdfVertrag="./DBSafe/AD_".$inh[14].$nr.".pdf";
    $pdf->Output($pdfVertrag,"F");
    
    $host  = $_SERVER['HTTP_HOST'];
    $uri   = rtrim(dirname($_SERVER['PHP_SELF']), '/\\');    
    $restpfad=trim($pdfVertrag,'.');
    alertmeldung("URLA:"."//".$host.$uri.$restpfad);
  }//ende if result
}//ende if result
?>