<?php date_default_timezone_set('Europe/Berlin');
//unmittelbar vor der include-Anweisung muss der Variablen $dbenutzer der aktuelle
//Wert zugewiesen werden und die Datenbankverbindung muss geöffnet sein.
//Beim Datenbank-Export aus dem Javakalender wird immer gesichert. Wenn der eingestellte Wert
//0 ist, wird in ad_mysqlDownload (Export) $dmax=50 verwendet.
$dvermieterTabelle=$dbenutzer."0Vermieter";
$dresult=mysqli_query($conn, "select Optionencode from $dvermieterTabelle where lan='00-00'");
$dok=true;
if (!$dresult) {
     echo "MySQL-ERROR: ".mysqli_errno($conn)." in DBsave.php #1";
     $dok=false;
}
if ($dok) {
  $drow=mysqli_fetch_row($dresult);
  $dmax=hexdec(substr($drow[0],6,2));
  if ($dmax==0) { //keine autom. Sicherung der Datenbank
    $dok=false;
  }
}
if ($dok) {
  do {$dumpfile="./DBSafe/".$dbenutzer."DB".date("Y-m-d_H-i-s").$duart.".sql";}
  while (file_exists($dumpfile));
  $fehlerSt="Die Sicherungsdatei konnte nicht angelegt werden.";
  $f = fopen($dumpfile, "w");
  $suchBenutzer=$dbenutzer."0";
  mysqli_query($conn, "SET default_storage_engine=MYISAM");
  mysqli_query($conn, "FLUSH TABLES WITH READ LOCK");
  $sql="SHOW TABLES FROM `".$datenbank."` LIKE '$suchBenutzer%'";
  $tabResult = mysqli_query($conn, $sql);
  $tabAnz = mysqli_num_rows($tabResult);
  if ($tabAnz>0) {
    for ($j = 0; $j < $tabAnz; $j++){
      mysqli_data_seek($tabResult, $j);
      $seek_row=mysqli_fetch_row($tabResult);
      $table = $seek_row[0];
      fwrite($f,"DROP TABLE IF EXISTS `$table`;\n");
      $res = mysqli_query($conn, "SHOW CREATE TABLE `$table`");
      if ($res) {
        $create = mysqli_fetch_array($res);
        $create[1] .= ";";
        $line = str_replace("\n", "", $create[1]);
        fwrite($f, $line."\n");
        $data = mysqli_query($conn, "SELECT * FROM `$table`");
        $num = mysqli_num_fields($data);
        while ($row = mysqli_fetch_array($data)){
          $line = "INSERT INTO `$table` VALUES(";
          for ($i=1;$i<=$num;$i++) {
            $line .= "'".mysqli_real_escape_string($conn, $row[$i-1])."', ";
          }
          $line = substr($line,0,-2);
          fwrite($f, $line.");\n");
        }
      }
    }
  }
  fclose($f);
  mysqli_query($conn, "UNLOCK TABLES");
  if (filesize($dumpfile)==false) {
    echo "<span style='color:red;'>Hinweis: ".$fehlerSt."</span>";
    if (file_exists("$dumpfile")){unlink("$dumpfile");}
  }
  else {
    $dname='./DBSafe/domizilDB*.sql';
    $dary=glob($dname);
    for ($i=0; $i < (count($dary) - $dmax); $i++) {
      unlink($dary[$i]);
    }
  }
}
?>