<?php date_default_timezone_set('Europe/Berlin');
include './autHinweis.php';
ob_clean();
?>
<!DOCTYPE html>
<html>
<head>
	<title>Datenbank-Sicherungen</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
         <link rel="stylesheet" type="text/css" href="basic.css" media="screen">
         <link rel="stylesheet" type="text/css" href="tabs.css" media="screen">
         <link rel="stylesheet" type="text/css" href="toolt.css" media="screen">
         <link rel="stylesheet" type="text/css" href="print.css" media="print">
  <style type='text/css'>
  .wait, .wait * {cursor: wait !important;}
  .pointer {cursor: pointer !important;}
  </style>
  <script type="text/javascript">
  ﻿function uftdecode(utftext) {
    var string = "";
    var i = 0;
    var c = c1 = c2 = 0;
    while ( i < utftext.length ) {
      c = utftext.charCodeAt(i);
      if (c < 128) {
        string += String.fromCharCode(c);
        i++;
      }
      else {
        if((c > 191) && (c < 224)) {
          c2 = utftext.charCodeAt(i+1);
          string += String.fromCharCode(((c & 31) << 6) | (c2 & 63));
          i += 2;
        }
        else {
          if (c != 65279) { //byte order mark (BOM), a magic number at the start of a text stream
            c2 = utftext.charCodeAt(i+1);
            c3 = utftext.charCodeAt(i+2);
            string += String.fromCharCode(((c & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
            i += 3;
          }
          else {
            i++;
          }
        }
      }
    }
    return string;
  }
  function createobject() {
    try {req = new XMLHttpRequest();}
    catch (reqerr) {try {req = new ActiveXObject("Msxml2.XMLHTTP");}
      catch (reqerr) {try {req = new ActiveXObject("Microsoft.XMLHTTP");}
        catch (reqerr) {req = null;}
      }
    }
    return req;
  }
  var erg ="";
  function executePHP(url,paramListe) {
    var http = createobject();
    if (http == null) {erg="false";}
    else {
      var params=paramListe[0];
      for (i = 1;i < paramListe.length;i++) {
        params+= '&'+paramListe[i];
      }
      http.open("POST", url, true); //false (synchron), true (asynchron); Vorsicht: bei synchron geht der wait-Cursor nicht!
      http.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
      http.setRequestHeader("Content-length", params.length);
      http.setRequestHeader("Connection", "keep-alive");
      http.onreadystatechange = function() {//Call a function when the state changes.
        if (http.readyState == 4) {
          document.body.className = '';
          if (http.status == 200) {
            resp=http.responseText;
            //resp=uftdecode(resp);
            if (resp.match(/^sqlboxOK:/)){
              erg=resp.replace(/^sqlboxOK:/,"");
              window.setTimeout('sqlselectfuellen(erg);',10);
            }
            else if (resp.match(/^sqlboxERROR:/)){
              erg=resp.replace(/^sqlboxERROR:/,"");
              window.setTimeout('closesqlbox(erg);',10);
            }
            else if (resp.match(/^dbuploadOK:/)){
              erg=resp.replace(/^dbuploadOK:/,"");
              window.setTimeout('closesqlbox(erg);',10);
            }
            else if (resp.match(/^dbuploadERROR:/)){
              erg=resp.replace(/^dbuploadERROR:/,"");
              window.setTimeout('closesqlbox(erg);',10);
            }
            else if (resp.match(/^dbdownloadOK:/)){
              erg=resp.replace(/^dbdownloadOK:/,"");
              window.setTimeout('downloadres(erg);',10);
            }
            else if (resp.match(/^dbdownloadERROR:/)){
              erg=resp.replace(/^dbdownloadERROR:/,"");
              window.setTimeout('downloadres(erg);',10);
            }
            else if (resp.match(/^uploadOK:/)){
              erg=resp.replace(/^uploadOK:/,"");
              window.setTimeout('tabres(erg);',10);
            }
            else if (resp.match(/^uploadERROR:/)){
              erg=resp.replace(/^uploadERROR:/,"");
              window.setTimeout('tabres(erg);',10);
            }
            else if (resp.match(/^downloadOK:/)){
              erg=resp.replace(/^downloadOK:/,"");
              window.setTimeout('tabres(erg);',10);
            }
            else if (resp.match(/^downloadERROR:/)){
              erg=resp.replace(/^downloadERROR:/,"");
              window.setTimeout('tabres(erg);',10);
            }
            else {
              erg=resp; alert(erg);
            }
          }
          else {
            alert("http-Status: "+http.status+" Error sending request object!");
          }
        }
      };
      http.send(params);
    }
  }
  var selobjekt='0';
  var objsel;
  var btup;
  var btdown;
  var btdbup;
  var btdbdown;
  function initvars() {
    objsel=document.getElementById('ad_objselid');
    btup=document.getElementById('bttabuploadid');
    btdown=document.getElementById('bttabdownloadid');
    btdbup=document.getElementById('btdbuploadid');
    btdbdown=document.getElementById('btdbdownloadid');
    btup.style.cursor='not-allowed';
    btdown.style.cursor='not-allowed';
    btdbup.style.cursor='pointer';
    btdbdown.style.cursor='pointer';
  }
  function bt_disable() {
    btup.value='Tabellen des ausgewählten Objektes importieren';
    btdown.value='Tabellen des ausgewählten Objektes exportieren';
    btup.disabled=true;
    btup.style.cursor='not-allowed';
    btdown.disabled=true;
    btdown.style.cursor='not-allowed';
    btdbup.disabled=true;
    btdbup.style.cursor='not-allowed';
    btdbdown.disabled=true;
    btdbdown.style.cursor='not-allowed';
    objsel.selectedIndex=0;
    objsel.disabled=true;
  }
  function grundeinstellungen() {
    btup.value='Tabellen des ausgewählten Objektes importieren';
    btdown.value='Tabellen des ausgewählten Objektes exportieren';
    btup.disabled=true;
    btup.style.cursor='not-allowed';
    btdown.disabled=true;
    btdown.style.cursor='not-allowed';
    btdbup.disabled=false;
    btdbup.style.cursor='pointer';
    btdbdown.disabled=false;
    btdbdown.style.cursor='pointer';
    objsel.selectedIndex=0;
    objsel.disabled=false;
    document.body.className = '';
  }
  function decode_htmlentities(str){
   var temp=document.createElement("pre");
   temp.innerHTML=str;
   return temp.firstChild.nodeValue;
  }
  function ad_dbdownload(benutzer,PW) {
   document.body.className = 'wait';
   bt_disable();
   var Liste = new Array();
    Liste.push('benutzer='+benutzer);
    Liste.push('PW='+PW);
    executePHP('ad_mysqlDBDownload.php',Liste);    
  }
  function ad_selboxfuellen(benutzer) {
   bt_disable();
   var pListe = new Array();
    pListe.push('benutzer='+benutzer);
    executePHP('ad_DBsaveboxFuellen.php',pListe);
  }
  var sqlaryglob = new Array();
  function sqlselect(id) {
    var pos=parseInt(id.substring(1));
    if (!confirm("Möchten Sie wirklich Ihre aktuellen Datenbanktabellen mit denen der Sicherung\n\n\t\t'"+sqlaryglob[pos]+"'\n\nüberschreiben?")) {return;}
    var sqlDatei=sqlaryglob[pos]+'.sql';   
    var dListe = new Array();
    dListe.push('benutzer='+'<?php echo $benutzer ?>');
    dListe.push('PW='+'<?php echo $PW ?>');
    dListe.push('datei='+sqlDatei);
    document.body.className = 'wait';
    var select = document.getElementById("sqlboxsel");
    select.style.visibility="hidden";
    document.getElementById("clsID").style.visibility='hidden';
    executePHP('ad_mysqlDBUpload.php',dListe);
  }
  function sqlselectfuellen (st) {
    st=decode_htmlentities(st);
    sqlaryglob.length=0;
    sqlaryglob = st.split('^');
    var anz = sqlaryglob.length;
    var select = document.getElementById("sqlboxsel");
    if (anz > 10) {select.style.height = (9+10*20)+'px';}
    else          {select.style.height = (9+anz*20)+'px';}
    if (select.style.visibility=='hidden') {
      select.style.visibility='visible';
      document.getElementById("clsID").style.visibility='visible';
    }
    var value='';
    var pid;
    var style="style='height:18px;margin:1px;white-space:nowrap;'";
    for (var i=0; i<sqlaryglob.length;i++) {
      pid='p'+i+'';
      value += "<p class = 'pointer' id='"+pid+"' "+style+" onclick=\"sqlselect('"+pid+"');\" "+
               "onmouseover=\"this.style.backgroundColor='#00ffff';\" "+
               "onmouseout=\"this.style.backgroundColor='#efefef';\">"+sqlaryglob[i].replace(/^/g,'')+"<\/p>";
      select.innerHTML = value;
    }
  }
  function closesqlbox(st) {
    st=decode_htmlentities(st);
    var select = document.getElementById("sqlboxsel");
    select.style.visibility="hidden";
    document.getElementById("clsID").style.visibility='hidden';
    if (st!='done') {alert(st);}
    grundeinstellungen();
  }
  function downloadres(st) {
    st=decode_htmlentities(st);
    alert(st);
    grundeinstellungen();
  }
  function buttons_aktivieren(obj) {
    selobjekt=obj;
    if (obj=='0') {
      btup.value='Tabellen des ausgewählten Objektes importieren';
      btdown.value='Tabellen des ausgewählten Objektes exportieren';
      btup.disabled=true;
      btup.style.cursor='not-allowed';
      btdown.disabled=true;
      btdown.style.cursor='not-allowed';
    }
    else {
      btup.value="Tabellen des Objektes '"+obj+"' importieren";
      btdown.value="Tabellen des Objektes '"+obj+"' exportieren";
      btup.disabled=false;
      btup.style.cursor='pointer';
      btdown.disabled=false;
      btdown.style.cursor='pointer';
    }
  }
  function ad_tabupload(benutzer,PW) {
    if (!confirm("Möchten Sie wirklich die Datenbanktabellen des Objektes '"+selobjekt+"' mit evt. gespeicherten älteren Tabellen ersetzen?")) {return;}
    bt_disable();
    var tuListe = new Array();
    tuListe.push('benutzer='+benutzer);
    tuListe.push('PW='+PW);
    tuListe.push('obj='+selobjekt);
    document.body.className = 'wait';
    executePHP('ad_mysqlUpload.php',tuListe);
  }
  function ad_tabdownload(benutzer,PW) {
    bt_disable();
    var tdListe = new Array();
    tdListe.push('benutzer='+benutzer);
    tdListe.push('PW='+PW);
    tdListe.push('obj='+selobjekt);
    document.body.className = 'wait';
    executePHP('ad_mysqlDownload.php',tdListe);
  }
  function tabres(st) {
    st=decode_htmlentities(st);
    alert(st);
    grundeinstellungen();
  }
  function hinweis(aktion) {
    if (aktion=='ein') {
      document.getElementById('verwkalhinweisein').style.display='none';
      document.getElementById('verwkalhinweisaus').style.display='block';
      document.getElementById('verwkalhinweisid').style.display='block';
    }
    else {
      document.getElementById('verwkalhinweisein').style.display='block';
      document.getElementById('verwkalhinweisaus').style.display='none';
      document.getElementById('verwkalhinweisid').style.display='none';
    }
  }
  </script>
</head>
<body style="min-width:1030px;" onload="initvars();">
 <div id='aussen'>
  <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
	<h1 class="noprint">Saisonwahl</h1>
	<div id="header">
	<ul id="primary">
		<li><a href="admin.php">Home</a></li>
		<li><a href="objVerw.php">Objektverwaltung</a>
			<ul id="secondary">
				<li><a href="ad_saisonwahl.php">Saisonwahl</a></li>
                <li><a href="ad_mindauerwahl.php">Mindestmietdauerwahl</a></li>
				<li><a href="ad_kalFortfuehren.php">Kalender fortführen</a></li>
				<li><Span>Datenbank-Sicherungen</span></li>
				<li><a href="ad_kaltabreset.php">Kalender neu anlegen - Tabellen-Reset</a></li>
				<li><a href="ad_verwBuchung.php" style="float:right;">Buchen - Stornieren - Ändern</a></li>
			</ul>
    </li>
		<li><a href="changePDSeite.php">Einstellungen</a></li>
    <li><a href="designSeite.php">Design</a></li>
		<li><a href="textVerw.php">Textvorlagen</a></li>
    <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
		<li><a href="finanzVerw.php?id=offene&amp;nurlesen=true">Zahlungen</a></li>
		<li><a href="mahnVerw.php">Mahnungen</a></li>
    <li><a href="kalVerw.php" class="current">Buchungskalender</a></li>
	</ul>
	</div>
	<div id='main'>

<?php
$DBOk=true;
include './DBSafe/dbDaten.php';
$vermieterTabelle=$benutzer."0Vermieter";
$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     echo "MySQL-ERROR: ".mysqli_connect_error()." in ".$_scriptName." #1.1";
     $DBOk=false;
}
else {
  mysqli_set_charset($conn, "utf8");
}
include './zugriffsberechtigung.php';
$vollzugriff=false;
if (zugriffsberechtigt($benutzer,$benutzerID,15)) { //hier gibt es nur Vollzugriff
  $vollzugriff=true;
}
else {
  echo  "
    <hr style=\"color:#ffffff; width:95%;margin-top:25px;\">
    <br><h5 align='center' style='margin-top:50px;'>Sie haben keine Zugangsberechtigung zu dieser Seite.</h5><br>";
  exit();
}

if ($DBOk) {
  $objektF=array();
  $objAnz=0;
  $benTabelle=$benutzer."0Benutzer";
  $resultObjSpalte=mysqli_query($conn, "select Objekt from $benTabelle");
  while($werte=mysqli_fetch_row($resultObjSpalte)){
    if (strlen($werte[0]) > 0){
      $objektF[$objAnz] = $werte[0];
      $objAnz++;
    }
  }
  /*
  if (($objekt=='')||(!in_array($objekt,$objektF))) {
    $objekt=$objektF[0];
    $id=$benutzer."@".$objekt;
  }
  $selObjekt=$objekt;
  */
}
?>
<a href="ad_dbsicherungen.php" style="float:left"><img class="noprint" style='border:0;' src="Aktual.png" title="Seite aktualisieren" alt=""></a>
<hr style="color:#ffffff; width:95%;margin-top:25px;">
<div id='contents' style='position:relative;'>
  <div>
  <fieldset style='position:relative;min-height:150px;'>
  <legend><span style='font-size:20px;'>Datenbank Export/Import</span></legend>
    <div style='position:absolute;left:150px;top:40px;margin-bottom:20px;'><input type='submit' class='button' id='btdbuploadid' style='cursor:pointer;' value='Datenbank importieren' onclick="ad_selboxfuellen(<?php echo "'$benutzer'" ?>);"></div>
    <div style='position:absolute;right:150px;top:40px;margin-bottom:20px;'><input type='submit' class='button' id='btdbdownloadid' style='cursor:pointer;' value='Datenbank exportieren' onclick="ad_dbdownload(<?php echo "'$benutzer','$PW'" ?>);"></div>
    <img id='clsID' src='./cls.png' alt=' ' style='border:1px solid black;z-index:101;position:absolute;left:393px;top:16px;cursor:pointer;visibility:hidden;' onclick="closesqlbox('done');">
    <div id='sqlboxsel' style='z-index:100;position:absolute;top:40px;left:60px;width:350px;height:20px;visibility:hidden;overflow-x:hidden;overflow-y:auto;background-color:#efefef;border:1px solid black;'></div>
    <div style='position:absolute;left:20px;bottom:0px;width:400px;'>
      <p>
        Wählen Sie hier eine automatisch oder manuell erzeugte Sicherung Ihrer Datenbank, wenn Sie z.B. Änderungen rückgängig machen möchten.
      </p>
    </div>
    <div style='position:absolute;right:20px;bottom:0px;width:400px;'>
      <p>
        Erzeugen Sie hier bei Bedarf, zusätzlich zu den automatisch erzeugten Sicherung Ihrer Datenbank, eine manuelle Sicherung.
      </p>
    </div>
  </fieldset>
  </div>

  <div style='margin-top:50px;'>
  <fieldset style='position:relative;min-height:170px;'>
  <legend><span style='font-size:20px;'>Tabellen Export/Import</span></legend>
    <div style='text-align:center;'>
    <select id='ad_objselid' style='width:179px;margin-top:0px;font-size:13px;margin:0px 0px 0px 2px;;padding:0px;' name='ad_objsel' size='1' onChange='buttons_aktivieren(this.options[this.selectedIndex].value); return false'>
     <option selected value='0'>Wählen Sie ein Objekt</option>
     <?php
     for ($i=0; $i<$objAnz; $i++) {
       echo "<option value=\"".$objektF[$i]."\">".$objektF[$i]."</option>";
     }
     ?>
    </select>
    </div>
    <div style='position:absolute;left:50px;top:60px;margin-bottom:20px;'><input type='submit' class='button' id='bttabuploadid' style='cursor:pointer;' value='Tabellen des ausgewählten Objektes importieren' onclick="ad_tabupload(<?php echo "'$benutzer','$PW'" ?>);" disabled></div>
    <div style='position:absolute;right:50px;top:60px;margin-bottom:20px;'><input type='submit' class='button' id='bttabdownloadid' style='cursor:pointer;' value='Tabellen des ausgewählten Objektes exportieren' onclick="ad_tabdownload(<?php echo "'$benutzer','$PW'" ?>);" disabled></div>
    <div style='position:absolute;left:20px;bottom:0px;width:400px;'>
      <p>
        Ersetzen Sie hier die momentan aktuellen Datenbanktabellen für ein bestimmtes Objekt mit den zu einem früheren Zeitpunkt manuell für dieses Objekt erzeugten Tabellen.
      </p>
    </div>
    <div style='position:absolute;right:20px;bottom:0px;width:400px;'>
      <p>
        Erzeugen Sie hier eine Sicherung der Datenbanktabellen des ausgewählten Objektes. Dabei wird eine zuvor erzeugte Sicherung für dieses Objekt überschrieben.
      </p>
    </div>
  </fieldset>
  </div>
  <div style='margin-top:20px;'>
  <span id='verwkalhinweisein' style="display:block;float:right;font-family:arial,helvetica;font-size:12px;font-weight:bold;cursor:pointer;" onclick="hinweis('ein');">
    Hinweise einblenden <img style='border:0;' src="hinweis_ein.png" title="Hinweise einblenden" alt="">
  </span>
  <span id='verwkalhinweisaus' style="display:none;float:right;font-family:arial,helvetica;font-size:12px;font-weight:bold;cursor:pointer;" onclick="hinweis('aus');">
    Hinweise ausblenden <img style='border:0;' src="hinweis_aus.png" title="Hinweise ausblenden" alt="">
  </span>
  </div><br>
  <div id='verwkalhinweisid' style='margin-top:10px;display:none;'>
    <span><b>Informationen zum Datenbank/Tabellen-Export und -Import</b></span><br><br>
    <span>Beachten Sie bezüglich der Einstellungen, ob automatische Sicherungen der Datenbank angelegt werden sollen und ggf. wie viele, zunächst
    die Ausführungen im TAB 'Einstellungen > Optionen für die automatische Datenbanksicherung'.<br></span>
  <ul>
    <li><span><b>Hinweise zum Datenbank-Export (Datenbanksicherung)</b></span>
      <ul>
        <li><span>Falls so eingestellt, wird nach bestimmten Aktionen ein Datenbank-Export (Sicherung) automatisch ausgeführt,
                  zusätzlich können Sie manuell einen Datenbank-Export erzeugen.</span></li>
        <li><span>Dabei werden die Datenbanktabellen aller Objekte in einer Datei, die im Ordner /OBS/DBSafe/ abgelegt wird, gesichert.</span></li>
        <li><span>Jede solche Datei erhält eine eindeutige Kennzeichnung mit einem Zeitstempel.</span></li>
      </ul>
    </li>
    <li><span><b>Hinweise zum Datenbank-Import (Wiederherstellung der Datenbank)</b></span>
      <ul>
        <li><span>Wenn Sie die Schaltfläche 'Datenbank importieren' klicken, wird zunächst eine Auswahlliste mit allen vorhandenen Datenbanksicherungen eingeblendet.</span></li>
        <li><span>Wenn Sie auf einen Eintrag in dieser Auswahlliste klicken, wird unmittelbar der Wiederherstellungsvorgang in Gang gesetzt.</span></li>
        <li><span>Dabei werden die Datenbanktabellen aller Objekte gelöscht und die in der Sicherung enthaltenen Tabellen in die Datenbank übertragen.
                  Damit haben Sie die Datenbank und damit das Programm in den Zustand versetzt, der zum Zeitpunkt der Sicherung vorhanden war.</span></li>
      </ul>
    </li>
    <li><span><b>Hinweise zum Tabellen-Export/Import</b></span>
      <ul>
        <li><span>Prinzipiell gilt für den Tabellen-Export/Import das gleiche wie für den Datenbank-Export/Import.</span></li>
        <li><span>Allerdings kann hierbei für jedes Objekt nur eine Sicherungsdatei manuell angelegt werden, die bei jedem
                  weiteren Tabellen-Export bei dem gleichen Objekt überschrieben wird. Es steht also pro Objekt nur
                  eine derartige Sicherung zur Verfügung.</span></li>
        <li><span>Obwohl die Wiederherstellung der Datenbank über den Datenbank-Export/Import abgedeckt ist, gibt es doch
                  sinnvolle Anwendungen für den Tabellen-Export/Import, was am folgenden Bespiel dargestellt wird:<br>
                  Sie haben umfangreiche Änderungen an einem oder mehreren Objekten durchgeführt.<br>
                  Dann stellen Sie fest, dass sich an anderer Stelle ein Fehler eingeschlichen hat, z.B. beim Fortführen der Kalender,
                  der nur durch einen Datenbank-Import behoben werden kann. Wenn Sie jetzt einen Datenbank-Import durchführen,
                  gehen die umfangreichen Änderungen an den betroffenen Objekten verloren.<br>
                  Folgendermaßen können Sie Ihre Datenbank ohne Verlust der Änderungen wiederherstellen:</span>
          <ul>
            <li><span>Führen Sie eine Tabellen-Export für die Objekte durch, an denen Sie Änderungen vorgenommen haben.</span></li>
            <li><span>Importieren Sie die Datenbank, die den "Kalender-Fortführen-Fehler" nicht enthält > Änderungen weg.</span></li>
            <li><span>Importieren Sie dann die zuvor exportierten Tabellen > Änderungen wieder da.</span></li>
          </ul>
        </li>
      </ul>
    </li>
    <li><span><b>Weitere Hinweise zur Datensicherheit</b></span>
      <ul>
        <li><span>In äußerst seltenen Fällen, z.B. bei einem Server-Crash, kann die Datenbank so beschädigt werden, dass
                  die Adminseite nicht mehr geöffnet werden kann. In einem solchen Fall kann die Datenbank auch über phpMyAdmin 
                  wiederhergestellt werden. Dieses Tool wird üblicherweise von Ihrem Provider bereitgestellt. Gehen Sie in
                  einem solchen Fall folgendermaßen vor:<br></span>
          <ul>
            <li><span>Laden Sie sich den Odner 'DBSafe' (Unterordner des Ordners 'OBS') von Ihrem Server auf Ihren Rechner.</span></li>
            <li><span>Öffnen Sie in Ihrem Provider-Account mit phpMyAdmin Ihre OnBuSys-Datenbank.</span></li>
            <li><span>Wählen Sie 'Importieren' und klicken Sie bei 'Zu importierende Datei' auf den 'Durchsuchen...'-Button.</span></li>
            <li><span>Navigieren Sie zum heruntergeladenen Ordner 'DBSafe' und öffnen Sie diesen.</span></li>
            <li><span>Sie finden dort Dateien der folgenden Art: 'domizilDB{Datum}_{Uhrzeit}{Aktion}.sql', z.B.<br>'domizilDB2013-03-23_19-21-06Login.sql'.</span></li>
            <li><span>Wählen Sie eine geeignete aus und klicken Sie auf 'Öffnen'.</span></li>
            <li><span>Sie kehren zurück zu phpMyAdmin und sehen, dass der Pfad der ausgewählten Datei in das Edit-Feld übernommen wurde.</span></li>
            <li><span>Nach kurzer Aktivität sollten Sie von phpMyAdmin eine Erfolgsmeldung erhalten.</span></li>
          </ul>
        </li>
        <li><span>Unabhängig von dieser von OnBuSys bereitgestellten Möglichkeit zur Datensicherung ist es ein MUSS, dass von
                  Ihrem Provider mindestens einmal täglich Ihre Datenbanken gesichert werden und dass mindesten die Sicherungen der
                  letzten zehn Tage zur Verfügung gestellt weden.<br><br></span></li>
      </ul>
    </li>
    <li><span><b>Haftungsausschluss: Eine Haftung des Programmautors bei Datenverlust ist ausgeschlossen.</b></span></li>
  </ul>
  </div> <!-- verwkalhinweisid -->
</div> <!-- contents -->
</div> <!-- main -->
</div> <!-- aussen -->
</body>
</html>