<?php date_default_timezone_set('Europe/Berlin');
   header("Content-Type: text/html;charset=UTF-8");
   include './adminaut.php';
   ob_clean();
?>
<!DOCTYPE html>
<html>
<head>
	<title>Verwaltung</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel="stylesheet" type="text/css" href="basic.css" media="screen">
  <link rel="stylesheet" type="text/css" href="tabs.css" media="screen">
  <link rel="stylesheet" type="text/css" href="toolt.css" media="screen">
  <link rel="stylesheet" type="text/css" href="print.css" media="print">
<script type='text/javascript'>
function iframeLoaded() {
  var deltay;
  var iFrameID = document.getElementById('idIfr');
  if (iFrameID) {
    var breite = '';
    breite = iFrameID.contentWindow.document.body.clientWidth || iFrameID.contentWindowdocument.width || iFrameID.contentWindow.document.body.scrollWidth;
    if (breite > 814) {deltay=70;}
    else              {deltay=20;}
    var hoehe = '';
    hoehe = iFrameID.contentWindow.document.body.clientHeight || iFrameID.contentWindowdocument.height || iFrameID.contentWindow.document.body.scrollHeight;
    iFrameID.style.height = hoehe+deltay+'px';
  }   
}
</script>
</head>

<body>
 <div id="aussen">
 <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
	<h1 class="noprint">OnBuSys Verwaltung: Hinweise</h1>
	<div id="header">
	<ul id="primary">
		<li><span>Home</span></li>
		<li><a href="objVerw.php">Objektverwaltung</a></li>
		<li><a href="changePDSeite.php">Einstellungen</a></li>
		<li><a href="designSeite.php">Design</a></li>
		<li><a href="textVerw.php">Textvorlagen</a></li>
    <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
		<li><a href="finanzVerw.php?id=offene&amp;nurlesen=true">Zahlungen</a></li>
		<li><a href="mahnVerw.php">Mahnungen</a></li>
    <li><a href="kalVerw.php">Buchungskalender</a></li>
	</ul>
	</div>
<div id="main">
<div id="contents">
<?php
if (!$setupDa){
  echo "
  <h3 style='text-align:center;color:#FF0000;'>Bei einer Routinekontrolle hat das System bezüglich der Datenbank Probleme festgestellt.</h3>";
  if (!$DBOK) {
    echo "
    <h3 style='text-align:left;color:#000000;'>
PROBLEM:<br>
Die für die Applikation notwendige Datenbank ist momentan nicht erreichbar, nicht vorhanden oder die Zugangsdaten für die Datenbank sind falsch.<br><br>
Falls es sich um die Erstinstallation des Programms handelt, ist diese Meldung völlig normal und Sie können sofort die \"Weiter\"-Schaltfläche betätigen, um die Zugangsdaten für ihre Datenbank einzugeben.<br><br>
Falls keine Erstinstallation vorliegt, sollten Sie nach dem folgenden Lösungsvorschlag vorgehen:<br><br>
LÖSUNGSVORSCHLAG:<br>
Öffnen Sie diese Seite zu einem späteren Zeitpunkt noch einmal. Falls das Problem weiter besteht:<br>
Geben Sie auf der folgenden Seite die Zugangsdaten für ihre Datenbank ein, oder überprüfen Sie dort ihre bisherigen Daten und verbessern Sie diese gegebenenfalls.<br><br>
Wenn Sie die korrekten Daten eingegeben haben und Zugriff auf ihre Datenbank möglich ist, werden nach Betätigung der \"Weiter\"-Schaltfläche fehlende Tabellen neu erzeugt.<br>
In seltenen Fällen kann es vorkommen, dass Tabellen mit Daten beschädigt waren und ersetzt wurden.<br>
Zwei Fälle können auftreten:
<ul>
<li>Sie haben mit ihrem bisherigen Kennwort keinen Zugang mehr:<br>
Dann wurde die Tabelle \"".$benutzer."Vermieter\" mit den Einstellungen für das Programm ersetzt und das Kennwort wurde auf \"kenn\" zurückgesetzt.<br>
Sie müssen dann im TAB \"Einstellungen\" ihre persönlichen Einstellung erneut eingeben.</li>
<li>Sie haben keinen Zugriff mehr auf ihre Objekte:<br>
Dann wurde die Tabelle \"".$benutzer."Benutzer\" mit den Namen ihrer Objekte, nicht mit den Objekten selbst, ersetzt.<br>
Falls Sie eine aktuelle Sicherung ihrer Datenbank besitzen, sollten Sie dann nur diese Tabelle z.B. mit phpMyAdmin in ihre Datenbank übertragen. Ansonsten müssen Sie wie folgt vorgehen:<br>
1. Sichern Sie z.B. mit phpMyAdmin alle ihre Objekttabellen. Diese erkennen Sie daran, dass der Tabellenname den Namen eines Objekts enthält.<br>
2. Legen Sie im Tab \"Objektverwaltung\" ihre Objekte (nur diese) neu an und geben Sie ihre persönliche Daten neu ein. Dies muss in einem einzigen Vorgang durchgeführt werden.<br>
3. Damit sollten Sie wieder Zugriff auf ihre Objekte haben.<br>
Wenn Probleme auftreten, müssen Sie die betroffenen Objekttabellen aus ihrer Datenbank löschen und durch die gesicherten ersetzen.</li>
</ul>
</h3>";
  }
  else {
    if (!$MastertabOK) {
      echo "<br>
      <h3 style='text-align:left;color:#000000;'>
PROBLEM:<br>
Die für die Applikation notwendigen Mastertabellen fehlen oder sind beschädigt.<br>
Bei der Erstinstallation sind diese Meldungen normal und ohne Bedeutung.<br><br>
LÖSUNGSVORSCHLAG:<br>Betätigen Sie zwei mal die \"Weiter\"-Schaltfläche. Dann wird dieses Problem automatisch behoben.</h3>";
  }
    if (!$VermtabOK) {
      echo "<br>
      <h3 style='text-align:left;color:#000000;'>
PROBLEM:<br>
Die für die Applikation notwendige Vermietertabelle \"".$benutzer."Vermieter\" fehlt oder ist beschädigt.<br><br>
LÖSUNGSVORSCHLAG:<br>
Falls Sie eine aktuelle Sicherung ihrer Datenbank besitzen, sollten Sie nur diese Tabelle z.B. mit phpMyAdmin in ihre Datenbank übertragen.<br>
Falls Sie keine Sicherung besitzen, wird durch zweimaliges Betätigen der \"Weiter\"-Schaltfläche diese Tabelle neu angelegt.<br>
Dabei werden alle Daten, die Sie im Tab \"Einstellungen\" eingegeben haben, zurückgesetzt.<br>
Insbesondere wird ihr Kennwort auf \"kenn\" zurückgesetzt.<br>
Nachdem die Tabelle neu erzeugt wurde, sollten Sie im Tab \"Einstellungen\" ihre ursprünglichen Einstellungen wieder herstellen.</h3>";
  }
    if (!$BentabOK) {
      echo "<br>
      <h3 style='text-align:left;color:#000000;'>
PROBLEM:<br>
Die für die Applikation notwendige Benutzertabelle \"".$benutzer."Benutzer\" fehlt oder ist beschädigt.<br><br>
LÖSUNGSVORSCHLAG:<br>
Falls Sie eine aktuelle Sicherung ihrer Datenbank besitzen, sollten Sie nur diese Tabelle z.B. mit phpMyAdmin in ihre Datenbank übertragen.<br>
Wenn Sie keine Sicherung besitzen, wird durch zweimaliges Betätigen der \"Weiter\"-Schaltfläche diese Tabelle neu angelegt.<br>
Dabei werden alle Daten, die Sie im Tab \"Objektverwaltung\" eingegeben haben zurückgesetzt. Insbesondere werden die Namen ihrer Objekte, nicht die Objekte selbst, gelöscht. Deshalb haben Sie keinen Zugriff mehr auf ihre Objekte.<br>
BEVOR sie die Tabelle neu anlegen, sollten Sie, um ihre Objekte nicht zu verlieren, folgendermaßen vorgehen.<br>
1. Sichern Sie z.B. mit phpMyAdmin alle ihre Objekttabellen. Diese erkennen Sie daran, dass der Tabellenname den Namen eines Objekts enthält.<br>
2. Erzeugen Sie jetzt durch zweimaliges Betätigen der \"Weiter\"-Schaltfläche die fehlende Benutzertabelle neu.<br>
3. Legen Sie im Tab \"Objektverwaltung\" ihre Objekte (nur diese) in einem einzigen Vorgang neu an und geben Sie ihre persönliche Daten neu ein.<br>
4. Damit sollten Sie wieder Zugriff auf ihre Objekte haben.<br>
Wenn Probleme auftreten, müssen Sie die betroffenen Objekttabellen aus ihrer Datenbank löschen und durch die gesicherten ersetzen.</h3>";
    }
  }
echo "
<form action='./adminDBSetup.php' target='_self' method='POST'>
<input type='hidden' name='Benutzer' value='$benutzer'>
<input type='hidden' name='MastertabOK' value='$MastertabOK'>
<table class='noprint' style='margin-left:auto;margin-right:auto;border:0;width:60%;'>
  <tr><td style='text-align:center;'><input type='submit' value='Weiter'></td></tr>
</table>
</form>";
  echo "
  <h3 class='noprint' style='text-align:center;color:#FF0000;'>Diesen Text sollten Sie sich über die Druckvorschau ihres Browsers ausdrucken.</h3>";
}
else {
  include_once './language/lancfg.php';//damit $_lan abgerufen werden kann
  $_lan=getlan();
  if (!isset($_SESSION['s_dbsave'])) {
    $dbenutzer=$benutzer;
    $duart='Login';
    include_once './DBsave.php';
    $anfragebenutzer=$benutzer;
    include './anfragenDel.php';
    $_SESSION['s_dbsave']='dummy';
  }
  function schreibeTermine($art,$pos,$farbe) {
    global $conn, $benutzer,$objary, $aktDatum, $aktgerDatum, $schreibDatum, $tagbez, $ueberschrift, $ofeldary;
    $mysqlDatum=$art.'datum';
    for ($i=0; $i < count($objary); $i++) {
      $objekt=$objary[$i];
      $buchTab = $benutzer."0".$objekt."Buchungen";
      $sql="SELECT Anrede,Vorname,Nachname,ErwachsAnz,Kinder1Anz,Kinder2Anz FROM $buchTab WHERE (($mysqlDatum = '$aktDatum') && (LOCATE('OPTI',Buchcode)=0))";
      $result = mysqli_query($conn, $sql);
      if ($result) {
        $num = mysqli_num_rows($result);
        if ($num > 0 ) {
          array_push($ofeldary, $objekt);
          $daten  =  mysqli_fetch_row($result);
          if ($daten[0] == 'FrauDr') {$daten[0] = 'Frau Dr.';}
          if ($daten[0] == 'HerrDr') {$daten[0] = 'Herr Dr.';}
          if ($daten[2] == 'VERWALTUNGSBUCHUNG') {$daten[0] = '';}
          switch ($daten[4]) {
            case '0': $k1St=''; break;
            case '1': $k1St=", $daten[4] Kind"; break;
            default : $k1St=", $daten[4] Kinder"; break;
          }
          switch ($daten[5]) {
            case '0': $k2St=''; break;
            case '1': $k2St=", $daten[5] Kleinkind"; break;
            default : $k2St=", $daten[5] Kleinkinder"; break;
          }
          if (!$ueberschrift) {
            echo "<div style='background-color:#ffffff;padding:1px 0px 10px 0px;margin:10px;border:1px solid #999999;'>";
            echo "<h5 style='text-align:left;font-size:15px;'>An- und Abreisen für die kommenden 7 Tage</h5>";
            $ueberschrift=true;
            }
          if ($aktDatum != $schreibDatum) {
            echo "<h5 style='text-align:left;margin-left:20px;'>$tagbez[$pos], $aktgerDatum</h5>";
            $schreibDatum = $aktDatum;
          }
          echo "<h5 style='text-align:left;margin-top:2px;margin-left:30px;color:".$farbe.";'>- $art $daten[0] $daten[1] $daten[2], $objekt, $daten[3] Erw.$k1St$k2St</h5>";
        }
      }
    } //for $i
  }
  
  //Berechtigte Objekte ermittel: $benutzer, $_lan erforderlich
  include './ermittle_berechtigte_Objekte.php';
  //Berechtigte Objekte ermittel: $berr_objektary (Feld mit berechtigten Objekten wird geliefert

  $tagbez = array('heute','morgen','übermorgen','in 3 Tagen','in 4 Tagen','in 5 Tagen','in 6 Tagen','in 7 Tagen');
  $tabelle=$benutzer."0Benutzer";
  $resultObjSpalte=mysqli_query($conn, "select Objekt from $tabelle");
  if ($resultObjSpalte) {
    $objary=array();
    while ($werte=mysqli_fetch_row($resultObjSpalte)) {
      if (in_array($werte[0], $berr_objektary)) {
        array_push($objary, $werte[0]);
      }
    }
    $ueberschrift=false;
    $ofeldary=array();
    for ($k=0; $k < 8; $k++) {
      $time=time()+$k*86400;
      $aktDatum=date("Y-m-d",$time);
      $aktgerDatum=date("d.m.Y",strtotime($aktDatum));
      $schreibDatum='';
      schreibeTermine('Anreise',$k,'#009900');
      schreibeTermine('Abreise',$k,'#0066cc');
    } //for $k
  } //if
  if ($ueberschrift) {
    $ofeldary=array_values(array_unique($ofeldary));
    sort($ofeldary);
    $ofeld='';
    for ($ii=0; $ii<count($ofeldary); $ii++) {
      $ofeld.=$ofeldary[$ii].',';
    }
    $ofeld=substr($ofeld,0,-1);
    echo "
      <h5>&nbsp;</h5>
      <iframe id='idIfr'  onload='iframeLoaded();' style='display:block;width:814px;margin:10px auto;border:0;' src='./belegInfo.php?id=domizil&amp;ofeld=".$ofeld."' scrolling='no'>
      </iframe>
      </div>";
  }
?>
<h5 style='text-align:left;'>
<br>Hinweise zu dieser Site<br><br>
Über die TABs gelangen Sie zu den entsprechenden Seiten. Auf diesen Seiten befinden sich bereits kurze Erläuterungen, nähere Informationen erhalten Sie jeweils, indem Sie den Mauszeiger über dieses Symbol <img style='border:0;margin-top:2px;margin-bottom:-2px;' class='noprint' src='help.png' title='' alt=''> stellen oder bei Touchscreens auf dieses Symbol tippen.<br><br>
Bei den einzelnen TABs haben Sie folgende Möglichkeiten:<br><br>
<span style='color:#333366;'>TAB Objektverwaltung</span>: Anlegen und Löschen von Objekten, Bildung von Objektgruppen, Preiseingabe, Kopierfunktionen, ...<br><br>
<span style='color:#333366;'>TAB Einstellungen</span>: Änderung von Passwörten, Festlegung der Zahlungs- und Mahnmodalitäten, Einstellungen für den Buchungskalender.<br><br>
<span style='color:#333366;'>TAB Design</span>: Auswahl der Farben für den Buchungskalender zur optimalen Anpassung an Ihre Site.<br><br>
<span style='color:#333366;'>TAB Textvorlagen</span>: Verwaltung der Texte zur Ergänzung der automatisch generierten Mitteilungen an den Mietinteressenten.<br><br>
<span style='color:#333366;'>TAB Buchungen</span>: Anzeige der Buchungen/Kunden mit verschieden Optionen auf dem Monitor und als EXCEL-Tabelle. Belegungsübersicht.<br><br>
<span style='color:#333366;'>TAB Zahlungen</span>: PDF-Rechnungsversand, Anzeige der fälligen Zahlungen und Buchen von Zahlungseingängen per Mausklick.<br><br>
<span style='color:#333366;'>TAB Mahnungen</span>: Anzeige der zu versendenden Mahnungen und Ausführung per Mausklick.<br><br>
<span style='color:#333366;'>TAB Buchungskalender</span>: Start des Buchungskalenders zur Kalenderadministration und zur Durchführung von Verwaltungsbuchungen.<br><br>
Zum Navigieren auf der Site sollten Sie ausschließlich die TABs und die beiden Symbole<br>für 'Zurück und Seite aktualisieren <img style="margin-bottom:-6px;border:0;" src="Pfeil.png" title="Zurück und Seite aktualisieren" alt="">' und für 'Seite aktualisieren <img style="margin-bottom:-8px;border:0;" src="Aktual.png" title="Seite aktualisieren" alt="">' verwenden.<br><br>
Nur so ist gewährleistet, dass Sie immer den aktuellen Seiteninhalt angezeigt bekommen.<br><br>
Alle notwendigen Hilfen finden Sie auf unserer <a href='http://onbusys.de' target= '_blank'>Homepage.</a><br><br>
Die vollständigen Tabellen zu den einzelnen Tabs können über die Druckvorschau ihres Browsers ausgedruckt werden.<br><br></h5>
<?php
}
?>
</div>
</div>
</div>
</body>
</html>