<?php date_default_timezone_set('Europe/Berlin');
include_once './DBSafe/header.php';
function ausgabe($aStr) {
  echo "<!DOCTYPE html><html><head><title>OnBuSys-Reset</title><meta http-equiv='Content-Type' content='text/html; charset=utf-8'></head><body>".$aStr."</body></html>";
}

$domain = getenv("HTTP_HOST");
$domF=explode(".",$domain);
$domM=$domF[sizeof($domF)-2].".".$domF[sizeof($domF)-1];

$error = false;
$meldetxt="";

if (isset($_GET["id"])) {
  $id=$_GET["id"];
}
else {
  $meldetxt="Fehler: GET-Parameter fehlt.";
  ausgabe($meldetxt);
  $error=true;
}
if (!$error) {
	list($benutzer,$objekt) = explode("@",$id);
	$dumpfile="./DBSafe/".$benutzer."0DBDemo.sql";
	if (!file_exists("$dumpfile")){
    $meldetxt="Fehler: Dumpfile fehlt.";
	  ausgabe($meldetxt);
	  $error=true;
	}
}

if (!$error) {
	include './DBSafe/dbDaten.php';
  include_once 'settimelimitFu.php'; //damit steht die Funktion settimelimit() zur Verfügung
	$conn=mysqli_connect($server, $user, $passwort, $datenbank);
	if (mysqli_connect_errno()) {
	  $meldetxt="FEHLER: ".mysqli_connect_error().".\n";
	  ausgabe($meldetxt);
	  $error=true;
	}
}

if (!$error) {

	// Allowed comment delimiters: lines starting with these strings will be dropped by BigDump

	$comment[0]="#";           // Standard comment lines are dropped by default
	$comment[1]="-- ";
	// $comment[2]="---";      // Uncomment this line if using proprietary dump created by outdated mysqldump
	// $comment[3]="";         // Or add your own string to leave out other proprietary things


	// *******************************************************************************************
	// If not familiar with PHP please don't change anything below this line
	// *******************************************************************************************

	define ("VERSION","0.21b");
	define ("MAX_LINE_LENGTH",65536);
	define ("MAX_QUERY_LINES",6000);

	@ini_set("auto_detect_line_endings", true);

	header("Expires: Mon, 1 Dec 2003 01:00:00 GMT");
	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
	header("Cache-Control: no-store, no-cache, must-revalidate");
	header("Cache-Control: post-check=0, pre-check=0", false);
	header("Pragma: no-cache");

	$file  = false;

	// Check PHP version
}
if (!$error && !function_exists("version_compare")) {
  $meldetxt="FEHLER:<br><br>PHP-Version ab 4.1.0 erforderlich.<br>Sie verwenden PHP-".phpversion();
  ausgabe($meldetxt);
	$error=true;
}
// Calculate PHP max upload size (handle settings like 10M or 100K)

if (!$error) {
  $upload_max_filesize=ini_get("upload_max_filesize");
  if (preg_match("/([0-9]+)K/i",$upload_max_filesize,$tempregs)) $upload_max_filesize=$tempregs[1]*1024;
  if (preg_match("/([0-9]+)M/i",$upload_max_filesize,$tempregs)) $upload_max_filesize=$tempregs[1]*1024*1024;
  if (preg_match("/([0-9]+)G/i",$upload_max_filesize,$tempregs)) $upload_max_filesize=$tempregs[1]*1024*1024*1024;
}

// Open the dumpfile

if (!$error) {
	if (!$file=fopen($dumpfile,"rt")) {
    $meldetxt="FEHLER: Die Import-Datei kann nicht geöffnet werden.";
	  ausgabe($meldetxt);
    $error=true;
  }
  else {$filesize = filesize($dumpfile);}
}

// ****************************************************
// START IMPORT SESSION HERE
// ****************************************************

if (!$error) {
  mysqli_set_charset($conn, "utf8");
  include_once './locktables.php';
  //alle $benutzer-Tabellen umbenennen
  $suchBenutzer=$benutzer."0";
  $sql="SHOW TABLES FROM `".$datenbank."` LIKE '$suchBenutzer%'";
  $tabResult = mysqli_query($conn, $sql);
  $tabAnz = mysqli_num_rows($tabResult);
  if ($tabAnz>0) {
    for ($i = 0; $i < $tabAnz; $i++){
      mysqli_data_seek($tabResult, $i);
      $seek_row=mysqli_fetch_row($tabResult);
      $table_name = $seek_row[0];
      $table_name_neu="zzz0".$table_name;
      mysqli_query($conn, "ALTER TABLE `".$table_name."` RENAME TO `".$table_name_neu."`");
    }
  }
  mysqli_query($conn, "UNLOCK TABLES"); //wenn die Tabellen weiter hinter entsperrt werden, git es einen Zugriffsfehler!!
  //Ende Tabellen umbenennen

// Start processing queries from $file
    $inparents=false;
    $query="";
    while ($dumpline=fgets($file, MAX_LINE_LENGTH)) {
      settimelimit(); //timer neu starten
			$dumpline=preg_replace("/\r\n$/", "\n", $dumpline);
      $dumpline=preg_replace("/\r$/", "\n", $dumpline);

    // Skip comments and blank lines only if NOT in parents

      if (!$inparents) {
        $skipline=false;
        reset($comment);
        foreach ($comment as $comment_value) {
          if (!$inparents && (trim($dumpline)=="" || strpos ($dumpline, $comment_value) === 0)) {
            $skipline=true;
            break;
          }
        }
        if ($skipline) {
          continue;
        }
      }

     // Remove double back-slashes from the dumpline prior to count the quotes ('\\' can only be within strings)

      $dumpline_deslashed = str_replace ("\\\\","",$dumpline);

     // Count ' and \' in the dumpline to avoid query break within a text field ending by ;
     // Please don't use double quotes ('"')to surround strings, it wont work

      $parents=substr_count ($dumpline_deslashed, "'")-substr_count ($dumpline_deslashed, "\\'");
      if ($parents % 2 != 0)
        $inparents=!$inparents;

      // Add the line to query

      $query .= $dumpline;

// Execute query if end of query detected (; as last character) AND NOT in parents
      if (preg_match("/;$/",trim($dumpline)) && !$inparents) {
        if (!mysqli_query($conn, trim($query))){
          //alle $benutzer-Tabellen in die ursprünglichen Namen umbenennen
          $suchBenutzer="zzz0".$benutzer."0";
          $sql="SHOW TABLES FROM `".$datenbank."` LIKE '$suchBenutzer%'";
          $tabResult = mysqli_query($conn, $sql);
          $tabAnz = mysqli_num_rows($tabResult);
          if ($tabAnz>0) {
            for ($i = 0; $i < $tabAnz; $i++){
              mysqli_data_seek($tabResult, $i);
              $seek_row=mysqli_fetch_row($tabResult);
              $table_name = $seek_row[0];
              $table_name_neu=substr($table_name,4);
              mysqli_query($conn, "drop table IF EXISTS `".$table_name_neu."`"); //bereits neu erzeugte Tabelle löschen
              mysqli_query($conn, "ALTER TABLE `".$table_name."` RENAME TO `".$table_name_neu."`");
            }
          }
          //Ende Tabellen in die ursprünglichen Namen umbenennen
					$meldetxt="FEHLER:<br><br>Datenbank-Upload fehlgeschlagen.<br><br>".mysqli_error();
	        ausgabe($meldetxt);
          $error=true;
          break;
        }
        $query="";
      }
    }//while
}//error
if (!$error) {
  //alle umbenannten Sicherungs-Tabellen löschen
  $suchBenutzer="zzz0".$benutzer."0";
  $sql="SHOW TABLES FROM `".$datenbank."` LIKE '$suchBenutzer%'";
  $tabResult = mysqli_query($conn, $sql);
  $tabAnz = mysqli_num_rows($tabResult);
  if ($tabAnz>0) {
    mysqli_data_seek($tabResult, 0);
    $seek_row=mysqli_fetch_row($tabResult);
    $table_liste = $seek_row[0];
    for ($i = 1; $i < $tabAnz; $i++){
      mysqli_data_seek($tabResult, $i);
      $seek_row=mysqli_fetch_row($tabResult);
      $table_liste.= ",".$seek_row[0];
    }
    mysqli_query($conn, "drop table IF EXISTS $table_liste");
  }
  //alle umbenannten Sicherungs-Tabellen löschen
  $meldetxt="DB-Reset auf '".$domain."/101/' erfolgreich durchgeführt.";
  @mail("info@onbusys.net", "cronUpload-DE-Erfolg", $meldetxt, "From:postmaster@".$domM);
  ausgabe($meldetxt);
}
else {
  $meldetxt="Misserfolg auf '".$domain."/101/': ".$meldetxt;
  @mail("info@onbusys.net", "cronUpload-DE-Misserfolg", $meldetxt, "From:postmaster@".$domM);
  ausgabe($meldetxt);
}

if ($conn) {mysqli_close($conn);}
if ($file) fclose($file);
?>
