<?php date_default_timezone_set('Europe/Berlin');
   include './aut.php';
   include_once './mailheadertxt.php';
   include_once './rabattStrFu.php'; //damit steht die Funktion getrabattstr zur Verfügung
   ob_clean();
   function ausgabe($benutzer,$aStr){
?>
<!DOCTYPE html>
<html>
<head>
  <title>Zahlungen</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel="stylesheet" type="text/css" href="basic.css" media="screen">
  <link rel="stylesheet" type="text/css" href="tabs.css" media="screen">
  <link rel="stylesheet" type="text/css" href="print.css" media="print">
</head>
<body>
<div id="aussen">
    <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
<h1 class="noprint">OnBuSys Zahlungen: Gebucht</h1>
<div id="header">
  <ul id="primary">
    <li><a href="admin.php">Home</a></li>
    <li><a href="objVerw.php">Objektverwaltung</a></li>
    <li><a href="changePDSeite.php">Einstellungen</a></li>
    <li><a href="designSeite.php">Design</a></li>
    <li><a href="textVerw.php">Textvorlagen</a></li>
    <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
    <li><a href="finanzVerw.php?id=offene&amp;nurlesen=true" class="current">Zahlungen</a>
      <ul id="secondary">
        <li><a href="rechnVerw.php?id=offene&amp;nurlesen=true">PDF-Rechnungsversand</a></li>
        <li><span>Zahlungseingänge</span></li>
		    <li><a href="rechnungsNummern.php?sortkey=5&amp;direkt=auf">Rechnungsnummern</a></li>
		    <li><a href="rechnrMwst.php?art=rnr">Startrechnungsnummern-MwSt.</a></li>
      </ul>
    </li>
    <li><a href="mahnVerw.php">Mahnungen</a></li>
    <li><a href="kalVerw.php">Buchungskalender</a></li>
  </ul>
</div>
<div id="main">
<a href="finanzVerwSec.php?id=offene&amp;nurlesen=true" style="float:left"><img style='border:0;' src="Pfeil.png" title="Zurück und Seite aktualisieren" alt=""></a>
  <div id="contents">
      <table style='border:0;width:100%;'>
  <tr>
    <td style='text-align:center;font-family:Arial;font-size:16px;'><br><?php echo ($aStr); ?></td>
  </tr>
</table>
</div>
</div>
</div>
</body>
</html>
<?php
   }
include './DBSafe/dbDaten.php';
$_scriptName=basename($_SERVER['PHP_SELF']);

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     ausgabe($benutzer,"MySQL-ERROR: ".mysqli_connect_error()." in ".$_scriptName." #1");
     exit();
}
mysqli_set_charset($conn, "utf8");
//$zeile: Feld mit allen Zeilen der Tabelle(Anreisedat, Objekt, Zeilenanz, AZdisabled, RZdisabled
$zeilenStr=$_POST["zeilenStr"];
$isAnzahlung=$_POST["isAnzahlung"];
if (isset($_POST["AZBox"])) {
  $AZBox=$_POST["AZBox"];
  $AZDatumAry = array();
  for ($j=0; $j < count($AZBox); $j++) {
    if (strpos($AZBox[$j], '@') > 0) {
      list($AZnr,$AZdat) = explode('@',$AZBox[$j]);
      list($tt,$mm,$jjjj) = explode('.',$AZdat);
      $AZdat = $jjjj.'-'.$mm.'-'.$tt;
      $AZBox[$j] = intval($AZnr);
      $AZDatumAry[$j] = $AZdat;
    }
  }
}
if (isset($_POST["RZBox"])) {
  $RZBox=$_POST["RZBox"];
  $RZDatumAry = array();
  for ($j=0; $j < count($RZBox); $j++) {
    if (strpos($RZBox[$j], '@') > 0) {
      list($RZnr,$RZdat) = explode('@',$RZBox[$j]);
      list($tt,$mm,$jjjj) = explode('.',$RZdat);
      $RZdat = $jjjj.'-'.$mm.'-'.$tt;
      $RZBox[$j] = intval($RZnr);
      $RZDatumAry[$j] = $RZdat;
    }
  }
}
if (isset($_POST["emailBox"])) {
  $emailBox=$_POST["emailBox"];
}
$zeile = explode("@",$zeilenStr);
//-1 wg. letztem @ im $zeilenstr
for ($i=0;$i<count($zeile)-1;$i++){
  $datenSatz = explode("&",$zeile[$i]);
  $datenSatz0=$datenSatz[0];
  $buchTabelle=$benutzer."0".$datenSatz[1]."Buchungen";
  $result=mysqli_query($conn, "select Zahlstatus,Mahnstatus,Anzahldatum,Restzahldatum,EMail,Buchcode from $buchTabelle where Anreisedatum='$datenSatz0'");
  if (!$result) {
    ausgabe($benutzer,"MySQL-ERROR: ".mysqli_errno($conn)." in ".$_scriptName." #3");
    mysqli_close($conn);
    exit();
  }
  else {
    $zrow  =  mysqli_fetch_row($result);
    $altZStat=$zrow[0];
    $altMStat=$zrow[1];
    $Anzahldatum=$zrow[2];
    $Restzahldatum=$zrow[3];
    $emailAddr=$zrow[4];
    $Buchcode = $zrow[5];
    if (strlen($Buchcode)<18) {
        $_lan='de-DE';
    }
    else {
      list($dummy1,$dummy2,$dummy3,$_lan) = explode('/',$Buchcode);
    }
    include './language/'.$_lan.'/'.$_lan."finanzVerwDB.php";
    include './language/'.$_lan.'/'.$_lan."globalTxt.php";
  }
//Erzeugung der E-Mail-Texte
$tabelle= $benutzer."0".$datenSatz[1]."Preise";
$result=mysqli_query($conn, "select ObjAnschrift,waehr from $tabelle where lan='$_lan'");
if ($result){
  $row = mysqli_fetch_row($result);
  $ObjAnschrift=$row[0];
  $waehr=$row[1];
}
include_once './getAlias.php'; $alias=getalias($benutzer,$datenSatz[1]);
$tabelle=$benutzer."0Vermieter";
$tresult=mysqli_query($conn, "select * from $tabelle where lan='$_lan'");
$trow = mysqli_fetch_row($tresult);
$result=mysqli_query($conn, "select * from $tabelle where lan='00-00'");
if ($result){
  $row = mysqli_fetch_row($result);
  $absender = $row[2];
  $infoempf=$row[71];
  $mail5param=$row[72];
  $nachrichtZahl = $trow[48];
  $nachrichtZahlStor = $trow[49];
}
$result=mysqli_query($conn, "select * from $buchTabelle where Anreisedatum='$datenSatz0'");
if ($result){
  $inh = mysqli_fetch_row($result);
  $anDat=date($_datFormat,strtotime($inh[14]));
  $abDat=date($_datFormat,strtotime($inh[15]));
  $buchDat=date($_datFormat,strtotime($inh[16]));
  $gerAnzahldatum=date($_datFormat,strtotime($Anzahldatum));
  $gerRestzahldatum=date($_datFormat,strtotime($Restzahldatum));
  $vorname=$inh[1]; $nachname=$inh[2];

  $incl_anr=$inh[0]; $incl_vorn=$inh[1]; $incl_nachn=$inh[2]; $incl_str=$inh[3];
  $incl_plz=$inh[4]; $incl_ort=$inh[5]; $incl_land=$inh[64];
  include './mail_adr.php';
  $buchungsdaten =$_buchdat2.$alias.", ".$ObjAnschrift."\n";
  //$buchID=explode("/", $inh[13]);
  //$buchIDSt=$buchID[0]."/".$buchID[1]."/".date("d.m.Y",strtotime($inh[14]))."/".$datenSatz[1];
  //$buchungsdaten.=$_buchdat3.$buchDat.", ".$buchIDSt."\n";
  $buchungsdaten.=$_buchdat4.$inh[6]."\n";
  $buchungsdaten.=$_buchdat5.$inh[7]."\n";
  if ($inh[8]!="") {
     $buchungsdaten.=$_buchdat6.$inh[8]."\n";
 	}
  $buchungsdaten.=$_buchdat7.$inh[17];
  if ($inh[18] != '0') {$buchungsdaten.=$_buchdat8.$inh[18];}
  if ($inh[19] != '0') {$buchungsdaten.=$_buchdat9.$inh[19];}
  $buchungsdaten.="\n";
  $einGabe=0;
  if ($inh[20] != $_verpf0) {
    $buchungsdaten.=$_buchdat10.$inh[20];
    $einGabe=1;
  }
  if ($einGabe==1) {$buchungsdaten.="\n";}
  $buchungsdaten.=$_buchdat11.$anDat.", ";
  $buchungsdaten.=$_buchdat12.$abDat.", ";
  $buchungsdaten.=$_buchdat13.$inh[24]."\n\n";

  $zulei1="";
  $ezArtAry=array(array($inh[40],$inh[45]),array($inh[41],$inh[46]),array($inh[42],$inh[47]),array($inh[43],$inh[48]),array($inh[44],$inh[49]),  array($inh[65],$inh[70]),array($inh[66],$inh[71]),array($inh[67],$inh[72]),array($inh[68],$inh[73]),array($inh[69],$inh[74]),  array($inh[50],$inh[55]),array($inh[51],$inh[56]),array($inh[52],$inh[57]),array($inh[53],$inh[58]),array($inh[54],$inh[59]),  array($inh[75],$inh[80]),array($inh[76],$inh[81]),array($inh[77],$inh[82]),array($inh[78],$inh[83]),array($inh[79],$inh[84]));
  $ezArtDa=false;
  foreach ($ezArtAry as $val) {
    if ((strlen($val[0])!=0)&&($val[1]>0)) {$ezArtDa=true;}
  }
  if ($ezArtDa) {
    $einGabe=0;
    $zulei1.=$_buchdat14;
    foreach ($ezArtAry as $val) {
      if (strlen($val[0])!=0) {
        if ($val[1]>0) {
          if ($einGabe>0) {$zulei1.=", ";}
          $einGabe++;
          if (strrpos($val[0],'~')!==false) {
            $artpos=strrpos($val[0],'~');
            $val[0]=substr($val[0],0,$artpos);
          }
          $zulei1.=$val[1]."x".$val[0];
        }
      }
    }
    $buchungsdaten.=$zulei1;
    $buchungsdaten.="\n\n";
  }

  $zulei2="";
  $sArtAry=array($inh[60],$inh[61],$inh[62],$inh[63]);
  $sArtDa=false;
  foreach ($sArtAry as $val) {
    if (strlen($val)!=0) {$sArtDa=true;}
  }
  if ($sArtDa) {
    $einGabe=0; $idx=21; $endPreisStrProzary=explode('@',$inh[23]);
    $zulei2.=$_buchdat15;
    foreach ($sArtAry as $val) {
      $idx++;
      if ((float) $endPreisStrProzary[$idx] > 0) {
        if (strlen($val)!=0) {
          if ($einGabe>0) {$zulei2.=", ";}
          $einGabe++;
          if (strrpos($val,'~')!==false) {
            $artpos=strrpos($val,'~');
            $val=substr($val,0,$artpos);
          }
          $zulei2.=$val;
        }
      }
    }
    if ($einGabe > 0) {$buchungsdaten.=$zulei2."\n\n";}
  }
  $restfaell="";
  $anfaell="";
  if ($_buchdat19!="") {
    $restfaell=$_buchdat19.$gerRestzahldatum;
    $anfaell=$_buchdat19.$gerAnzahldatum;
  }
  if ($Restzahldatum==$Anzahldatum){
    $buchungsdaten.=$_buchdat16.$inh[25]." ".$waehr.$restfaell."\n";
  }
  else {
    $buchungsdaten.=$_buchdat16.$inh[25]." ".$waehr."\n";
    $buchungsdaten.=$_buchdat17.$inh[26]." ".$waehr.$anfaell."\n";
    $buchungsdaten.=$_buchdat18.$inh[27]." ".$waehr.$restfaell."\n";
  }
  $buchungsdaten.=$_zahlstatus;
  $rabatttxt=getrabattstr($benutzer,$inh[23], "Email", $waehr, $_rabatttext11, $_rabatttext12, $_rabatttext1, $_rabatttext2, $_rabatttext3);
  if (strlen($rabatttxt) > 0) {$buchungsdaten.="\n\n".$rabatttxt;}

  $nachrichtZahl=str_replace("\r","",$nachrichtZahl);
  $nachricht=$nachrichtZahl; include './mail_anr.php'; $nachrichtZahl=$nachricht;
  $nachrichtZahl=str_replace('$anschrift',$anschrift,$nachrichtZahl);
  if ($nachname=="") {$nachrichtZahl=str_replace('$anrede $nachname','$anrede$nachname',$nachrichtZahl);} //Firma!
  $nachrichtZahl=str_replace('$anrede',$anrede,$nachrichtZahl);
  $nachrichtZahl=str_replace('$vorname',$vorname,$nachrichtZahl);
  $nachrichtZahl=str_replace('$nachname',$nachname,$nachrichtZahl);
  $nachrichtZahl=str_replace('$buchungsdaten',$buchungsdaten,$nachrichtZahl);

  $nachrichtZahlStor=str_replace("\r","",$nachrichtZahlStor);
  $nachricht=$nachrichtZahlStor; include './mail_anr.php'; $nachrichtZahlStor=$nachricht;
  $nachrichtZahlStor=str_replace('$anschrift',$anschrift,$nachrichtZahlStor);
  if ($nachname=="") {$nachrichtZahlStor=str_replace('$anrede $nachname','$anrede$nachname',$nachrichtZahlStor);} //Firma!
  $nachrichtZahlStor=str_replace('$anrede',$anrede,$nachrichtZahlStor);
  $nachrichtZahlStor=str_replace('$vorname',$vorname,$nachrichtZahlStor);
  $nachrichtZahlStor=str_replace('$nachname',$nachname,$nachrichtZahlStor);
  $nachrichtZahlStor=str_replace('$buchungsdaten',$buchungsdaten,$nachrichtZahlStor);
}
//Erzeugung der E-Mail-Texte: ENDE

//bei nicht markierten oder disabled-Checkboxen kommt keine *ZBox, damit gibt es keine $*ZBox
//Dummy-Boxen, damit keine Fehlermeldung entsteht!
  $anzahlStatus="";
  $restzahlStatus="";
	 if (!isset($AZBox)) {$AZBox=array(-1);}
  if (!isset($RZBox)) {$RZBox=array(-1);}
  if (!isset($emailBox)) {$emailBox=array(-1);}
  if (($Anzahldatum==$Restzahldatum)||($isAnzahlung=="false")){$ZSStr="10";}
  else {$ZSStr="00";}
  if (in_array($i,$AZBox)) {
    $ZSStr[0]="1";
    if (count($AZDatumAry) > 0) {
      $AZkeyary = array_keys($AZBox,$i);
      $AZaktDatum = $AZDatumAry[$AZkeyary[0]];
    }
    else {$AZaktDatum = date("Y-m-d",time());}
  }
  else {if ($datenSatz[3]=="disabled") {$ZSStr[0]=$altZStat[0];}}
  if (in_array($i,$RZBox)) {
    $ZSStr[1]="1";
    if (count($RZDatumAry) > 0) {
      $RZkeyary = array_keys($RZBox,$i);
      $RZaktDatum = $RZDatumAry[$RZkeyary[0]];
    }
    else {$RZaktDatum = date("Y-m-d",time());}
  }
  else {if ($datenSatz[4]=="disabled") {$ZSStr[1]=$altZStat[1];}}
  //$aktDatum=date("Y-m-d",time());
  $AZaend=false; $RZaend=false;
  if ($ZSStr[0]!=$altZStat[0]) {$AZaend=true;}
  if ($ZSStr[1]!=$altZStat[1]) {$RZaend=true;}
  if ($AZaend){
    if ($ZSStr[0]==0) {
      $AZDatum="0000-00-00";
      $A1MDatum="0000-00-00";
      $A2MDatum="0000-00-00";
      $A3MDatum="0000-00-00";
      $altMStat=substr_replace($altMStat,'000',0,3);
      $sqlSt="UPDATE $buchTabelle SET Zahlstatus='$ZSStr',AnzahlEingang='$AZDatum',Mahnstatus='$altMStat',AMahn1Datum='$A1MDatum',AMahn2Datum='$A2MDatum',AMahn3Datum='$A3MDatum' where Anreisedatum='$datenSatz0'";
    }
    else {
      $AZDatum=$AZaktDatum;
      $sqlSt="UPDATE $buchTabelle SET Zahlstatus='$ZSStr',AnzahlEingang='$AZDatum' where Anreisedatum='$datenSatz0'";
    }
    if (!mysqli_query($conn, $sqlSt)){
      ausgabe($benutzer,"MySQL-ERROR: ".mysqli_errno($conn)." in ".$_scriptName." #4");
      mysqli_close($conn);
      exit();
    }
    else {
      if (in_array($i,$emailBox)) {
        if ($ZSStr[0]==0) {$anzahlStatus=$_zahlstatus1;}
        if ($ZSStr[0]==1) {$anzahlStatus=$_zahlstatus2;}
        if ($ZSStr[1]==0) {$restzahlStatus=$_zahlstatus3;}
        if ($ZSStr[1]==1) {$restzahlStatus=$_zahlstatus4;}
        $zahlBezug=$_zahlbezug1;
        //$nachrichtZahl=str_replace("\r","",$nachrichtZahl);
        $nachrichtZahl=str_replace('$zahlBezug',$zahlBezug,$nachrichtZahl);
        $nachrichtZahl=str_replace('$anzahlStatus',$anzahlStatus,$nachrichtZahl);
        $nachrichtZahl=str_replace('$restzahlStatus',$restzahlStatus,$nachrichtZahl);
        $zahlBezug=$_zahlbezug2;
        //$nachrichtZahlStor=str_replace("\r","",$nachrichtZahlStor);
        $nachrichtZahlStor=str_replace('$zahlBezug',$zahlBezug,$nachrichtZahlStor);
        $nachrichtZahlStor=str_replace('$anzahlStatus',$anzahlStatus,$nachrichtZahlStor);
        $nachrichtZahlStor=str_replace('$restzahlStatus',$restzahlStatus,$nachrichtZahlStor);
        $betreff=$_zahlbetreff.$alias.": ".$anDat." - ".$abDat;
        $infobetreff=$_emailverm1.$betreff;
        mb_internal_encoding('utf-8');
        $betr= mb_encode_mimeheader($betreff,"utf-8", "B", PHP_EOL);
        $infobetr= mb_encode_mimeheader($infobetreff,"utf-8", "B", PHP_EOL);
        if ($ZSStr[0]==1) {
          if (strlen($mail5param) == 0) {$mres=sm_mail($emailAddr, $betr, $nachrichtZahl, $header_txt."From:".$absender);}
          else {$mres=sm_mail($emailAddr, $betr, $nachrichtZahl, $header_txt."From:".$absender, $mail5param);}
          if($mres) {
            $infonachricht=$_emailverm2.$nachrichtZahl;
            if (strlen($mail5param) == 0) {sm_mail($infoempf,$infobetr, $infonachricht, $header_txt."From:".$absender);}
            else {sm_mail($infoempf,$infobetr, $infonachricht, $header_txt."From:".$absender, $mail5param);}
          }
        }
        else {
          if (strlen($mail5param) == 0) {$mres=sm_mail($emailAddr, $betr, $nachrichtZahlStor, $header_txt."From:".$absender);}
          else {$mres=sm_mail($emailAddr, $betr, $nachrichtZahlStor, $header_txt."From:".$absender, $mail5param);}
          if($mres) {
            $infonachricht=$_emailverm2.$nachrichtZahlStor;
            if (strlen($mail5param) == 0) {sm_mail($infoempf,$infobetr, $infonachricht, $header_txt."From:".$absender);}
            else {sm_mail($infoempf,$infobetr, $infonachricht, $header_txt."From:".$absender, $mail5param);}
          }
        }
      }
    }
  }
  if ($RZaend){
    if ($ZSStr[1]==0) {
      $RZDatum="0000-00-00";
      $R1MDatum="0000-00-00";
      $R2MDatum="0000-00-00";
      $R3MDatum="0000-00-00";
      $altMStat=substr_replace($altMStat,'000',3,3);
      $sqlSt="UPDATE $buchTabelle SET Zahlstatus='$ZSStr',RestzahlEingang='$RZDatum',Mahnstatus='$altMStat',RMahn1Datum='$R1MDatum',RMahn2Datum='$R2MDatum',RMahn3Datum='$R3MDatum' where Anreisedatum='$datenSatz0'";
    }
    else {
      $RZDatum=$RZaktDatum;
      $sqlSt="UPDATE $buchTabelle SET Zahlstatus='$ZSStr',RestzahlEingang='$RZDatum' where Anreisedatum='$datenSatz0'";
    }
    if (!mysqli_query($conn, $sqlSt)){
      ausgabe($benutzer,"MySQL-ERROR: ".mysqli_errno($conn)." in ".$_scriptName." #5");
      mysqli_close($conn);
      exit();
    }
    else {
      if (in_array($i,$emailBox)) {
        $zahlArt=$_zrestzahlung; $zahlArt2=$zahlArt;
        if ($Anzahldatum==$Restzahldatum) {$zahlArt=$_zzahlung; $zahlArt2=$_zgesamtpreis;}
        if ($zahlArt==$_zrestzahlung) {
          if ($ZSStr[0]==0) {$anzahlStatus=$_zahlstatus1;}
          if ($ZSStr[0]==1) {$anzahlStatus=$_zahlstatus2;}
          if ($ZSStr[1]==0) {$restzahlStatus=$_zahlstatus3;}
          if ($ZSStr[1]==1) {$restzahlStatus=$_zahlstatus4;}
        }
        else {
          if ($ZSStr[1]==0) {$restzahlStatus=$_zahlstatus5;}
          if ($ZSStr[1]==1) {$restzahlStatus=$_zahlstatus6;}
        }
        $zahlBezug=$_zahlbezug3.$zahlArt2;
        //$_zahlbezug1: Eingang: Anzahlung
        //Wenn in einer Aktion sowohl die Anzahlung als auch die Restzahlung gebucht werden, ist '$zahlBezug' bei der Anzahlungsbearbeitung
        //bereits durch $_zahlbezug1 ersetzt worden. Deshalb muss hier $_zahlbezug1 durch $zahlBezug ersetzt werden.
        //Die anderen Ersetzungen wurden auch bereits durchgeführt, unterscheiden sich aber für beide Fälle nicht.
        //Analog für Stornierungen mit $_zahlbezug2: Stornierung Anzahlung.
        $nachrichtZahl=str_replace($_zahlbezug1,$zahlBezug,$nachrichtZahl);
        $nachrichtZahl=str_replace('$zahlBezug',$zahlBezug,$nachrichtZahl);
        $nachrichtZahl=str_replace('$anzahlStatus',$anzahlStatus,$nachrichtZahl);
        $nachrichtZahl=str_replace('$restzahlStatus',$restzahlStatus,$nachrichtZahl);
        $zahlBezug=$_zahlbezug4.$zahlArt2;
        $nachrichtZahlStor=str_replace($_zahlbezug2,$zahlBezug,$nachrichtZahlStor);
        $nachrichtZahlStor=str_replace('$zahlBezug',$zahlBezug,$nachrichtZahlStor);
        $nachrichtZahlStor=str_replace('$anzahlStatus',$anzahlStatus,$nachrichtZahlStor);
        $nachrichtZahlStor=str_replace('$restzahlStatus',$restzahlStatus,$nachrichtZahlStor);
        $betreff=$zahlArt.$_zahlbetreff1.$alias.": ".$anDat." - ".$abDat;
        $infobetreff=$_emailverm1.$betreff;
        mb_internal_encoding('utf-8');
        $betr= mb_encode_mimeheader($betreff,"utf-8", "B", PHP_EOL);
        $infobetr= mb_encode_mimeheader($infobetreff,"utf-8", "B", PHP_EOL);
        if ($ZSStr[1]==1) {
          if (strlen($mail5param) == 0) {$mres=sm_mail($emailAddr, $betr, $nachrichtZahl, $header_txt."From:".$absender);}
          else {$mres=sm_mail($emailAddr, $betr, $nachrichtZahl, $header_txt."From:".$absender, $mail5param);}
          if ($mres) {
            $infonachricht=$_emailverm2.$nachrichtZahl;
            if (strlen($mail5param) == 0) {sm_mail($infoempf,$infobetr, $infonachricht, $header_txt."From:".$absender);}
            else {sm_mail($infoempf,$infobetr, $infonachricht, $header_txt."From:".$absender, $mail5param);}
          }
        }
        else {
          if (strlen($mail5param) == 0) {$mres=sm_mail($emailAddr, $betr, $nachrichtZahlStor, $header_txt."From:".$absender);}
          else {$mres=sm_mail($emailAddr, $betr, $nachrichtZahlStor, $header_txt."From:".$absender, $mail5param);}
          if ($mres) {
            $infonachricht=$_emailverm2.$nachrichtZahlStor;
            if (strlen($mail5param) == 0) {sm_mail($infoempf,$infobetr, $infonachricht, $header_txt."From:".$absender);}
            else {sm_mail($infoempf,$infobetr, $infonachricht, $header_txt."From:".$absender, $mail5param);}
          }
        }
      }
    }
  }
}
ausgabe($benutzer,$_zahlerfolg);
?>