<?php date_default_timezone_set('Europe/Berlin');
   include './aut.php';
   ob_clean();
   function ausgabe($benutzer,$aStr){
?>
<!DOCTYPE html>
<html>
<head>
  <title>Mahnungen</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel="stylesheet" type="text/css" href="basic.css" media="screen">
  <link rel="stylesheet" type="text/css" href="tabs.css" media="screen">
  <link rel="stylesheet" type="text/css" href="print.css" media="print">
</head>
<body>
  <div id="aussen">
  <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
	<h1 class="noprint">OnBuSys Finanzverwaltung: Mahnungen versendet</h1>
	<div id="header">
	<ul id="primary">
		<li><a href="admin.php">Home</a></li>
		<li><a href="objVerw.php">Objektverwaltung</a></li>
		<li><a href="changePDSeite.php">Einstellungen</a></li>
    <li><a href="designSeite.php">Design</a></li>
		<li><a href="textVerw.php">Textvorlagen</a></li>
    <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
		<li><a href="finanzVerw.php?id=offene&amp;nurlesen=true">Zahlungen</a></li>
		<li><span>Mahnungen</span></li>
    <li><a href="kalVerw.php">Buchungskalender</a></li>
	</ul>
	</div>
	<div id="main">
    <a href="mahnVerw.php" style="float:left"><img style='border:0;' src="Pfeil.png" title="Zurück und Seite aktualisieren" alt=""></a>
		<div id="contents"><?php echo "<h5>".$aStr."</h5>"; ?></div>
         </div>
<?php
   }

include './DBSafe/dbDaten.php';
$_scriptName=basename($_SERVER['PHP_SELF']);

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     ausgabe($benutzer,"MySQL-ERROR: ".mysqli_connect_error()." in ".$_scriptName." #1");
     exit();
}
mysqli_set_charset($conn, "utf8");

$tabelle= "BenutzerHost";
$ergebnis=mysqli_query($conn, "select * from $tabelle where Benutzername = '$benutzer'");
$anz = mysqli_num_rows($ergebnis);
if ($anz == 0){
     ausgabe($benutzer,"MySQL-ERROR in ".$_scriptName." #3");
     mysqli_close($conn);
     exit();
}
$vermieter=mysqli_fetch_row($ergebnis);
if ($vermieter[0] != $benutzer){
     ausgabe($benutzer,"MySQL-ERROR in ".$_scriptName." #4");
     mysqli_close($conn);
     exit();
}

//$zeile: Feld mit allen Zeilen der Tabelle(Anreisedat, Objekt, Zeilenanz, AnMahnStatusPos(0,1,2), ReMahnStatusPos(0,1,2)-->(3,4,5) hochsetzen
$zeilenStr=$_POST["zeilenStr"];
if (isset($_POST["AZBox"])) {
  $AZBox=$_POST["AZBox"];
}
else {
	$AZBox=array();
}
if (isset($_POST["RZBox"])) {
  $RZBox=$_POST["RZBox"];
}
else {
	$RZBox=array();
}
$zeile = explode("@",$zeilenStr);
$fehlerFeld=array();
//Mahnen Anzahlung
if (count($AZBox)>0){
  foreach ($AZBox as $zeilenNr){
    $datenSatz = explode("&",$zeile[$zeilenNr]);
    $grund="Anzahlung";
    $stufe=$datenSatz[3];
    $anReiseDatum=$datenSatz[0];
    $objekt=$datenSatz[1];
    if ($stufe<4) {
      include './mahnEmail.php';
    }
  }//foreach
}
//Mahnen Restzahlung
if (count($RZBox)>0){
  foreach ($RZBox as $zeilenNr){
    $datenSatz = explode("&",$zeile[$zeilenNr]);
    $grund="Restzahlung";
    $stufe=$datenSatz[4];
    $anReiseDatum=$datenSatz[0];
    $objekt=$datenSatz[1];
    if ($stufe<4) {
      include './mahnEmail.php';
    }
  }//foreach
}
mysqli_close($conn);
if (count($fehlerFeld)>0) {
  $st="";
  for ($mi=0;$mi<count($fehlerFeld);$mi++) {
    $st.=$fehlerFeld[$mi]."<br>";
  }
  ausgabe($benutzer,$_mahnmisserfolg1.$st.$_mahnmisserfolg2);
}
else {
  ausgabe($benutzer,$_mahnerfolg);
}
?>
</div>
</body>
</html>