<?php date_default_timezone_set('Europe/Berlin');
  include_once 'settimelimitFu.php'; //damit steht die Funktion settimelimit() zur Verfügung
  //Wählen Sie die Versandart aus, indem Sie das Nichtzutreffende mit '//' auskommentieren

  //$smtp_aktiv=true; //Versand über den PHPMailer mit SMTP
  $smtp_aktiv=false; //Versand über die PHP-mail()-Funktion

  function sm_mail($to,$subject,$message,$headers,$parameters='') {
    global $smtp_aktiv;
    settimelimit(); //timer neu starten
    
    if ($smtp_aktiv) { //Versand über SMTP
      require_once './PHPMailer/class.phpmailer.php';
      $mailer = new PHPMailer();
      $mailer->IsSMTP();
      $mailer->isHTML(false);
      $mailer->CharSet = 'UTF-8';
      $mailer->SMTPDebug = 0;//Debug-infos: 0: No output; 1: Commands; 2: Data and commands; 3: As 2 plus connection status; 4: Low-level data output
      
//In den folgenden Zeilen müssen Sie die Daten für Ihren SMTP-Server eingeben (Beispiel für gmail-SMTP)
      $mailer->Host = 'smtp.gmail.com';
      $mailer->SMTPSecure = 'ssl'; // secure transfer enabled REQUIRED for GMail        
      $mailer->SMTPAuth = true;
      $mailer->Username = 'example@gmail.com';// Ihr Gmail Benutzername
      $mailer->Password = 'gmailPW';  // Ihr GMail password    
      $mailer->Port = 465;

//Hier keine Änderungen vornehmen: ANFANG
      
      $toF=explode(',', $to);
      for ($i=0; $i < count($toF); $i++) {
        $mailer->AddAddress(trim($toF[$i]));
      }

      $fromSt='';
      $headersF=explode(PHP_EOL, $headers);
      for ($i=0; $i < count($headersF); $i++) {
        if (preg_match("/FROM:/",strtoupper($headersF[$i]))) {
          $fromSt = $headersF[$i];
        }
        elseif (preg_match("/CONTENT-TYPE:/",strtoupper($headersF[$i]))) {
          list ($dummy,$contype) = explode(':', $headersF[$i]);
          if (preg_match("/CHARSET/",strtoupper($contype))) {
            list($contype,$dummy) = explode(';', $contype); //Charset entfernen, da mit $mailer->CharSet bereits definiert
          }
          $mailer->ContentType = trim($contype);
        }
      }
      list($dummy,$from) = explode(':', $fromSt);
      $from = trim($from);
      list($fromname,$dummy) = explode('@', $from);

//Hier keine Änderungen vornehmen: ENDE
      
//Wenn Sie SMTP verwenden, können Sie zusätzlich zu den bereits vorhandenen Anhängen
//weitere eigene Anhänge der E-Mail beifügen.
//Auch können Sie bei den Textvorlagen html-Tags verwenden und hier einstellen,
//ob die E-Mails als html-E-Mails versendet werden.
//Bitte beachten Sie dabei folgende Einschränkung:
//Textbausteine können nur als Ganzes mit html-Tags versehen werden, z.B.
//                <p><b>$buchungsdaten</b><p>
//Damit erscheinen die Buchungsdaten im eigenen Absatz in Fettschrift.
//
//Sie können mithilfe eines 'Filterstrings' festlegen, bei welchen E-Mails eigene Anlagen
//beigefügt werden sollen und/oder welche als html-E-Mails versendet werden sollen.
//Dazu müssen Sie bei den betreffenden Textvorlagen einen html-Kommentar der folgenden Form eingeben:
//<!--Filterstring-->, für 'Filterstring' können Sie einen beliebigen String wählen.

      //1. Beispiel: Zusätzlicher Anhang bei einer Erinnerungsmail und diese als html-E-Mail versenden.
      //Geben Sie als erste Zeile bei der entsprechenden Testvorlage folgendes ein
      //<!--Erinnerungsmail--> und erstellen Sie die Vorlage mit den gewünschten html-Tags.
      //Die beizufügende Anlage sollte sich im Ordner /OBS/domizil/ befinden.
      
      if (preg_match("/<!--Erinnerungsmail-->/",$message)) {
        $message=str_replace("<!--Erinnerungsmail-->\n", "", $message);
        $mailer->AddAttachment('./domizil/Testanhang.pdf');
        $mailer->isHTML(true);
        $message=str_replace("<!--Erinnerungsmail-->\n", "", $message);
        $message=str_replace("\n", "<br>", $message);
      }
      
      //2. Beispiel: Die E-Mail, mit der ein Zahlungseingang bestätigt wird, soll als html-E-Mail versendet werden:
      //<!--Zahlungseingang--> als erste Zeile in die entsprechende Textvorlage einfügen
      //Text mit html-Tags erstellen
      
      if (preg_match("/<!--Zahlungseingang-->/",$message)) {
        $mailer->isHTML(true);
        $message=str_replace("<!--Zahlungseingang-->\n", "", $message);
        $message=str_replace("\n", "<br>", $message);
      }

//Ab hier keine Änderungen mehr vornehmen
      
      $mailer->Subject = $subject;
      $mailer->From = $from;
      $mailer->FromName = $fromname;
      $mailer->Body = trim($message);
      
      if ($parameters != '') {
        $param=explode(" ", trim($parameters));  //z.B. bei -f name@domain.tld (5. mail-Parameter)
        if (count($param)==2) {$parameters=$param[1];} //bei SMTP nur die E-Mail-Adresse
        $mailer->Sender = trim($parameters);
      }
       if(!$mailer->send()) {
         echo 'smtp-Fehler: '.$mailer->ErrorInfo;
         error_log('smtp-Fehler: '.$mailer->ErrorInfo);
         return false;
      }
      else {
        return true;
      }
    }
    else { //Versand über die PHP-mail()-Funktion
      if ($parameters != '') {
        return mail($to,$subject,$message,$headers,$parameters);
      }
      else {
        return mail($to,$subject,$message,$headers);
      }
    }      
  }

  //ursprüngliche Datei mailheadertxt.php
  //die folgenden Zeilen sind für den E-Mail-Versand via PHP-mail()-Funktion erforderllich!
  $header_txt  = "MIME-Version: 1.0".PHP_EOL;
  $header_txt .= "Content-type: text/plain; charset=utf-8".PHP_EOL;
  $header_txt .= "Content-Transfer-Encoding: 8bit".PHP_EOL;
  //Skript einbinden mit include_once './mailheadertxt.php';
  //Diese Einbindung liegt bei allen relevanten Skripten bereits vor,
  //außer bei pdfRechnung.php und pdfRechnungUst.php, wo noch eingebunden werden muss

/*
require 'PHPMailerAutoload.php';
$mail = new PHPMailer;
$mail->SMTPDebug = 3;                               // Enable verbose debug output
$mail->isSMTP();                                      // Set mailer to use SMTP
$mail->Host = 'smtp1.example.com;smtp2.example.com';  // Specify main and backup SMTP servers
$mail->SMTPAuth = true;                               // Enable SMTP authentication
$mail->Username = 'user@example.com';                 // SMTP username
$mail->Password = 'secret';                           // SMTP password
$mail->SMTPSecure = 'tls';                            // Enable TLS encryption, `ssl` also accepted
$mail->Port = 587;                                    // TCP port to connect to

$mail->setFrom('from@example.com', 'Mailer');
$mail->addAddress('joe@example.net', 'Joe User');     // Add a recipient
$mail->addAddress('ellen@example.com');               // Name is optional
$mail->addReplyTo('info@example.com', 'Information');
$mail->addCC('cc@example.com');
$mail->addBCC('bcc@example.com');

$mail->addAttachment('/var/tmp/file.tar.gz');         // Add attachments
$mail->addAttachment('/tmp/image.jpg', 'new.jpg');    // Optional name
//$mail->isHTML(true);                                  // Set email format to HTML

$mail->Subject = 'Here is the subject';
$mail->Body    = 'This is the HTML message body <b>in bold!</b>';
$mail->AltBody = 'This is the body in plain text for non-HTML mail clients';

if(!$mail->send()) {
    echo 'Message could not be sent.';
    echo 'Mailer Error: ' . $mail->ErrorInfo;
} else {
    echo 'Message has been sent';
}
 */
?>