<?php date_default_timezone_set('Europe/Berlin');
function test_multi_objektfeld($fortfuehr_objektfeld) {
  $gruppenF=array();
  $multiobjF=array();
  $schnittF=array();
  $objSt='';
/*
Die Elemente aus $gruppenF bestehen wieder aus Feldern, deren Elemente OOObj, OObj und Teilobjekte in der folgenden Form enthalten:
OOObj oder 'leer', OObj und die weiteren Gruppenobjekte.
Da sich OOObj immer auf mehrere Gruppen bezieht, hat man entsprechend viele Gruppen mit dem gleichen OOObj oder 'leer'.*/
  $teilgruppenF=array();//Teilobjekte
/*
Die Elemente aus $teilgruppenF bestehen ebenfalls aus Feldern, deren Elemente aus ALLEN Gruppenobjekten einer OBERGRUPPE
(falls vorhanden, sonst der Gruppe), außer dem OOObj und OObj, bestehen.
Für jedes Element aus $gruppenF mit dem gleichen OOObj gibt es hier identische Elemente.
*/
  include './DBSafe/dbDaten.php';

  $conn = mysqli_connect($server, $user, $passwort, $datenbank);
  if (mysqli_connect_errno()) {
       echo "fortfuehrenFEHLER:Der Datenbankserver ist zur Zeit nicht erreichbar. Versuchen Sie es bitte sp&auml;ter noch einmal.";
       exit();
  }
  mysqli_set_charset($conn, "utf8");
  $benutzer='domizil';
	$multiTabelle=$benutzer."0Vermieter";
	$resultSpalte=mysqli_query($conn, "select multiSt from `$multiTabelle` where lan='00-00'");
  if (!$resultSpalte) {return;}
  else if (mysqli_num_rows($resultSpalte)<1) {return;}
 	$wert=mysqli_fetch_row($resultSpalte);
 	if ($wert){
		$multiSt=$wert[0];
    if ($multiSt=="") {return;} // keine Objektgruppen vorhanden
	  if (strpos($multiSt,"<")===false) { //wg. Abwärtskompatibilität: ursprüngliche und neue Syntax möglich
		  $multiSt="<".$multiSt.">";
		}
	  $hilfF0=explode(">",$multiSt);
	  for ($i=0; $i<sizeof($hilfF0); $i++) {
      if ($hilfF0[$i]!="") {
        //Restfeld nur mit allen untergeordneten Objekten (ohne OOObjekt und OObjekt) ermitteln
        $h1St=substr($hilfF0[$i],strpos($hilfF0[$i],"<")+1);
        $restF1=explode("@",$h1St);
        $h2St="";
        for ($ii=0; $ii<sizeof($restF1); $ii++) {
           $anz = substr_count($restF1[$ii],",");
           if ($anz==0) {
             $h2St.=$restF1[$ii].",";
           }
           else {
             $h2St.=substr($restF1[$ii],strpos($restF1[$ii],",")+1).",";
           }
        }
        $h2St=substr($h2St,0,-1);
        $restF=explode(",",$h2St);
        //Feld mit OOObj,OObj und Teilobjekten in der Form 'OOObjekt,OObjekt,untergeordneten Objekte ermitteln
        //falls OOObjekt nicht existiert, wird 'leer' eingesetzt
        if (strpos($hilfF0[$i],"<")!=0) {
          list($OOObj,$rest) = explode("<",$hilfF0[$i]);
          $hilfF0[$i]=str_replace('<',',',$hilfF0[$i]);
          $hilfF0[$i]=str_replace('@','@'.$OOObj.',',$hilfF0[$i]);
        }
        else {
          $hilfF0[$i]=str_replace('<','leer,',$hilfF0[$i]);
          $hilfF0[$i]=str_replace('@','@leer,',$hilfF0[$i]);
        }
        $hilfF1=explode("@",$hilfF0[$i]);
        for ($j=0; $j<sizeof($hilfF1); $j++) {
          $hilfF2=explode(",",$hilfF1[$j]);
          //if (count($hilfF2)>1) { //eine Gruppe besteht aus mindestens 2 Objekten
          if (count($hilfF2)>0) { //Bedingung muss noch genau spezifiziert werden
            array_push($gruppenF,$hilfF2);
            array_push($teilgruppenF,$restF);
          }
        }
      }
	  }
	}
	/*
	echo "Gruppen<br>";
	for ($i=0; $i<sizeof($gruppenF); $i++) {
	  for ($j=0; $j<sizeof($gruppenF[$i]); $j++) {
	    echo $gruppenF[$i][$j]."xx<br>";
	  }
	  echo "yy<br>";
	}
  echo "Teilgruppen<br>";
	for ($i=0; $i<sizeof($teilgruppenF); $i++) {
	  for ($j=0; $j<sizeof($teilgruppenF[$i]); $j++) {
	    echo $teilgruppenF[$i][$j]."xx<br>";
	  }
	  echo "yy<br>";
	}
	*/
	//Abbruch, falls keine Gruppen vorhanden
  if (count($gruppenF)<1){return;}
  else {
	  for ($i=0; $i<sizeof($gruppenF); $i++) {
	    for ($j=0; $j<sizeof($gruppenF[$i]); $j++) {
        if ($gruppenF[$i][$j]!='leer') {
	        array_push($multiobjF,$gruppenF[$i][$j]);
        }
	    }
	  }
  }
  $multiobjF = array_values(array_unique($multiobjF));
  //array_unique alleine kann zu Fehlfunktionen führen, da die keys von gelöschten values nicht gelöscht werden
  for ($k=0; $k<count($multiobjF); $k++) {
    $objSt.=$multiobjF[$k].', ';
  }
  $objSt=substr($objSt, 0, -2);
  $schnittF=array_intersect($multiobjF,$fortfuehr_objektfeld);
  if ((count($schnittF)>0)&&(count($schnittF)!=count($multiobjF))) {
    $mul_meld ="\nUnter den Objekten, deren Kalender Sie fortf&uuml;hren m&ouml;chten, befinden sich Objekte, die zu Objektgruppen geh&ouml;ren, aber nicht alle. ";
    $mul_meld.="Objekte, die zu Objektgruppen geh&ouml;ren, m&uuml;ssen alle das gleiche Kalenderstartdatum haben.\n\n";
    $mul_meld.="Bitte wiederholen Sie den Vorgang. Nachfolgend werden die Objekte angezeigt, die zwingend das gleiche Kalenderstartdatum haben m&uuml;ssen:\n\n";
    $mul_meld.=$objSt;
    echo "fortfuehrenFEHLER:$mul_meld";
    exit();
  }
  //print_r($schnittF);
} //Ende get_multi_...
//test_multi_objektfeld(array('OO','O11'));
?>