<?php date_default_timezone_set('Europe/Berlin');
   include './aut.php';
   ob_clean();
   function ausgabe($benutzer,$aStr){
?>
<!DOCTYPE html>
<html>
<head>
  <title>Textvorlagen</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <style type="text/css" media="screen">@import "basic.css";</style>
  <style type="text/css" media="screen">@import "tabs.css";</style>
</head>
<body>
 <div id="aussen">
     <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
	<h1>OnBuSys Textvorlagen: Abschluss</h1>
	<div id="header">
	<ul id="primary">
		<li><a href="admin.php">Home</a></li>
		<li><a href="objVerw.php">Objektverwaltung</a></li>
		<li><a href="changePDSeite.php">Einstellungen</a></li>
        <li><a href="designSeite.php">Design</a></li>
		<li><span>Textvorlagen</span></li>
        <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
		<li><a href="finanzVerw.php?id=offene&amp;nurlesen=true">Zahlungen</a></li>
		<li><a href="mahnVerw.php">Mahnungen</a></li>
        <li><a href="kalVerw.php">Buchungskalender</a></li>
	</ul>
	</div>
	<div id="main">
  <?php
    echo "
       <a href=\"textVerw.php?lan=".$_POST["lan"]."\" style=\"float:left\"><img style='border:0;' src=\"Pfeil.png\" title=\"Zurück und Seite aktualisieren\" alt=\"\"></a>";
  ?>
		<div id="contents">
<table style='border:0;width:100%;'>
  <tr>
    <td style='text-align:center;font-family:Arial;font-size:16px;'>
       <br>
       <?php echo ($aStr); ?>
    </td>
  </tr>
</table>
</div>
</div>
</div>
</body>
</html>
<?php
   }

$keys = array_keys($_POST);
$KopfTextEM=str_replace('"','\'',$_POST["KopfTextEM"]);
$buchHinweis=str_replace('"','\'',$_POST["buchHinweis"]);
$optHinweis=str_replace('"','\'',$_POST["optHinweis"]);
$optBuchHinweis=str_replace('"','\'',$_POST["optBuchHinweis"]);
$storHinweis=str_replace('"','\'',$_POST["storHinweis"]);
$rechnMailtxt=str_replace('"','\'',$_POST["rechnMailtxt"]);
$Zahleingang=str_replace('"','\'',$_POST["Zahleingang"]);
$ZahleingangStor=str_replace('"','\'',$_POST["ZahleingangStor"]);
$mahn1Text=str_replace('"','\'',$_POST["mahn1Text"]);
$mahn2Text=str_replace('"','\'',$_POST["mahn2Text"]);
$mahn3Text=str_replace('"','\'',$_POST["mahn3Text"]);
$anfrageEr=str_replace('"','\'',$_POST["anfrageEr"]);
$HTMLHinText=str_replace('"','\'',$_POST["HTMLHinText"]);
$AGBRBvalue=$_POST["AGBRB"];
$MBeschreib=str_replace('"','\'',$_POST["MBeschreib"]);
$MZusatz=str_replace('"','\'',$_POST["MZusatz"]);
$MFooter=str_replace('"','\'',$_POST["MFooter"]);
$RBeschreib=str_replace('"','\'',$_POST["RBeschreib"]);
$RZusatz=str_replace('"','\'',$_POST["RZusatz"]);
$RFooter=str_replace('"','\'',$_POST["RFooter"]);
$MRHeader=str_replace('"','\'',$_POST["MRHeader"]);
$lan=$_POST["lan"];

if (count($keys)<1) {
  ausgabe($benutzer,"Unberechtigter Zugriff");
  exit();
}

include './DBSafe/dbDaten.php';
$vermTabelle= $benutzer."0Vermieter";

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     ausgabe($benutzer,"Der Datenbankserver ist zur Zeit nicht erreichbar.<br>&nbsp;Versuchen Sie es bitte später noch einmal.<br>&nbsp;");
     exit();
}
mysqli_set_charset($conn, "utf8");

//Texte aktualisieren (nur für die entsprechende Sprache)
if (!mysqli_query($conn,  "UPDATE $vermTabelle SET KopfTextEM=\"$KopfTextEM\", buchHinweis=\"$buchHinweis\", optHinweis=\"$optHinweis\", optBuchHinweis=\"$optBuchHinweis\", storHinweis=\"$storHinweis\", rechnMailtxt=\"$rechnMailtxt\", Zahleingang=\"$Zahleingang\", ZahleingangStor=\"$ZahleingangStor\", mahn1Text=\"$mahn1Text\", mahn2Text=\"$mahn2Text\", mahn3Text=\"$mahn3Text\", anfrageEr=\"$anfrageEr\", MBeschreib=\"$MBeschreib\", MZusatz=\"$MZusatz\", MFooter=\"$MFooter\", RBeschreib=\"$RBeschreib\", RZusatz=\"$RZusatz\", RFooter=\"$RFooter\", MRHeader=\"$MRHeader\" WHERE lan=\"$lan\"")){
     ausgabe($benutzer,"Die Texte konnten nicht gespeichert werden.<br>&nbsp;Überprüfen Sie ihre Texte auf unzulässige Zeichen wie Sonderzeichen ect. .<br>&nbsp;");
     exit();
}
//URL\nAGBRB aktualisieren (in allen Tabellenzeilen)
$HTMLHinText = trim($HTMLHinText);
$HTMLHinText.="\n".$AGBRBvalue;

if (!mysqli_query($conn,  "UPDATE $vermTabelle SET HTMLHinweise=\"$HTMLHinText\"")){
     ausgabe($benutzer,"Der URL für die Hilfe-Seite konnten nicht gespeichert werden.<br>&nbsp;Überprüfen Sie ihren URL auf unzulässige Zeichen wie Sonderzeichen etc. .<br>&nbsp;");
     exit();
}
ausgabe($benutzer,"Die Texte wurden erfolgreich gespeichert.<br>&nbsp;");

?>